<?php
/**
 * @author  RadiusTheme
 * @since   1.0
 * @version 1.0
 */

$ranna_theme_data = wp_get_theme();	
	$action  = 'ranna_theme_init';
	do_action( $action );
	
	define( 'RANNA_VERSION', ( WP_DEBUG ) ? time() : $ranna_theme_data->get( 'Version' ) );
	define( 'RANNA_AUTHOR_URI', $ranna_theme_data->get( 'AuthorURI' ) );
	define( 'RANNA_PREFIX', 'ranna' );

	// DIR
	define( 'RANNA_BASE_DIR',    get_template_directory(). '/' );
	define( 'RANNA_INC_DIR',     RANNA_BASE_DIR . 'inc/' );
	define( 'RANNA_VIEW_DIR',    RANNA_INC_DIR . 'views/' );
	define( 'RANNA_LIB_DIR',     RANNA_BASE_DIR . 'lib/' );
	define( 'RANNA_WID_DIR',     RANNA_INC_DIR . 'widgets/' );
	define( 'RANNA_PLUGINS_DIR', RANNA_INC_DIR . 'plugins/' );
	define( 'RANNA_MODULES_DIR', RANNA_INC_DIR . 'modules/' );
	define( 'RANNA_ASSETS_DIR',  RANNA_BASE_DIR . 'assets/' );
	define( 'RANNA_CSS_DIR',     RANNA_ASSETS_DIR . 'css/' );
	define( 'RANNA_JS_DIR',      RANNA_ASSETS_DIR . 'js/' );

	// URL
	define( 'RANNA_BASE_URL',    get_template_directory_uri(). '/' );
	define( 'RANNA_ASSETS_URL',  RANNA_BASE_URL . 'assets/' );
	define( 'RANNA_CSS_URL',     RANNA_ASSETS_URL . 'css/' );
	define( 'RANNA_JS_URL',      RANNA_ASSETS_URL . 'js/' );
	define( 'RANNA_IMG_URL',     RANNA_ASSETS_URL . 'img/' );
	define( 'RANNA_LIB_URL',     RANNA_BASE_URL . 'lib/' );

	//Other Plugins active or not
	define( 'RANNA_BBPRESS_IS_ACTIVE', class_exists( 'bbPress' ) );

	// Includes
	require_once RANNA_INC_DIR . 'helper-functions.php';
	require_once RANNA_INC_DIR . 'redux-config.php';
	require_once RANNA_INC_DIR . 'ranna.php';
	require_once RANNA_INC_DIR . 'general.php';
	require_once RANNA_INC_DIR . 'scripts.php';
	require_once RANNA_INC_DIR . 'template-vars.php';

	// Includes Modules	
	require_once RANNA_MODULES_DIR . 'rt-post-related.php';
	require_once RANNA_MODULES_DIR . 'rt-related-recipe.php';
	require_once RANNA_MODULES_DIR . 'rt-breadcrumbs.php';
	require_once RANNA_MODULES_DIR . 'rt-ad-management.php';
	//require_once RANNA_MODULES_DIR . 'rt-like.php';

	// WooCommerce
	if ( class_exists( 'WooCommerce' ) ) {
		require_once RANNA_INC_DIR . 'woo-functions.php';
		require_once RANNA_INC_DIR . 'woo-hooks.php';
	}

	// TGM Plugin Activation
	require_once RANNA_LIB_DIR . 'class-tgm-plugin-activation.php';
	require_once RANNA_INC_DIR . 'tgm-config.php';
	
	function ranna_loadtemplate($templateurl, $data = array()){
		extract($data);
		include( locate_template( $templateurl.'.php', false, false ) ); 
	}
		
	add_editor_style( 'style-editor.css' );