<?php
/**
 * @author  RadiusTheme
 * @since   1.0
 * @version 1.0
 */
?>
<!doctype html>
<html <?php language_attributes(); ?>>
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<meta http-equiv="X-UA-Compatible" content="IE=edge">
	<link rel="profile" href="https://gmpg.org/xfn/11">
	<?php wp_head(); ?>
</head>
<body <?php body_class(); ?>>
	<?php wp_body_open(); ?>
	<?php
		// Preloader
		if ( RannaTheme::$options['preloader'] == '1' ){ 
			if ( !empty( RannaTheme::$options['preloader_image']['url'] ) ) {
				$preloader_img = RannaTheme::$options['preloader_image']['url'];
				echo '<div id="preloader" style="background-image:url(' . esc_url( $preloader_img ) . ');"></div>';
			}
			else { ?>
			<div id="preloader">
				<div class="preloader-wrap">
					<div class="preloader-content">
						<div class="circle"></div>
					</div>
				</div>
			</div>
			<?php }
		}
	?> 
	<div id="page" class="site">		
		<a class="skip-link screen-reader-text" href="#content"><?php esc_html_e( 'Skip to content', 'ranna' ); ?></a>		
		<header id="masthead" class="site-header">			
			<div id="header-<?php echo esc_attr( RannaTheme::$header_style ); ?>" class="header-area header-fixed ">
				<?php if ( RannaTheme::$top_bar == 1 || RannaTheme::$top_bar == 'on' ){ ?>			
				<?php get_template_part( 'template-parts/header/header-top', RannaTheme::$top_bar_style ); ?>
				<?php } ?>				
				<?php if ( RannaTheme::$header_opt == 1 || RannaTheme::$header_opt == 'on' ){ ?>
				<?php get_template_part( 'template-parts/header/header', RannaTheme::$header_style ); ?>
				<?php } ?>
			</div>
		</header>
		<div id="meanmenu"></div>
		<?php if ( class_exists( 'Ranna_Core' ) && RannaTheme::$options['show_login'] ) { ?>
			<a class="header-submit-icon-mobile" href="<?php echo site_url(); ?>/submit-recipe"><span><?php esc_html_e( 'Add Recipe', 'ranna' ); ?></span></a>
		<?php } ?>
		<?php if ( class_exists( 'Ranna_Core' ) && RannaTheme::$options['show_recipe_account'] ) { ?>
			<a class="header-login-icon header-login-icon-mobile" href="<?php echo site_url(); ?>/login-page"><i class="fa fa-user-o" aria-hidden="true"></i></a>
		<?php } ?>
		<div id="header-area-space"></div>
		<div id="header-search" class="header-search">
            <button type="button" class="close">×</button>
            <?php get_search_form(); ?>
        </div>
		<div id="content" class="site-content">	
			<?php
				if ( RannaTheme::$has_banner == '1' || RannaTheme::$has_banner == 'on' ) { 
					get_template_part('template-parts/content', 'banner');
				}
			?>