<?php
/**
 * @author  RadiusTheme
 * @since   1.0
 * @version 1.0
 */

if ( ! class_exists( 'Redux' ) ) {
    return;
}

$opt_name = 'ranna';

$theme = wp_get_theme();
$args = array(
    // TYPICAL -> Change these values as you need/desire
    'opt_name'             => $opt_name,
    // This is where your data is stored in the database and also becomes your global variable name.
    'disable_tracking' => true,
    'display_name'         => $theme->get( 'Name' ),
    // Name that appears at the top of your panel
    'display_version'      => $theme->get( 'Version' ),
    // Version that appears at the top of your panel
    'menu_type'            => 'submenu',
    //Specify if the admin menu should appear or not. Options: menu or submenu (Under appearance only)
    'allow_sub_menu'       => true,
    // Show the sections below the admin menu item or not
    'menu_title'           => esc_html__( 'Ranna Options', 'ranna' ),
	
    'page_title'           => esc_html__( 'Ranna Options', 'ranna' ),
    // You will need to generate a Google API key to use this feature.
    // Please visit: https://developers.google.com/fonts/docs/developer_api#Auth
    //'google_api_key'       => 'AIzaSyC2GwbfJvi-WnYpScCPBGIUyFZF97LI0xs',
    // Set it you want google fonts to update weekly. A google_api_key value is required.
    'google_update_weekly' => false,
    // Must be defined to add google fonts to the typography module
    'async_typography'     => true,
    // Use a asynchronous font on the front end or font string
    //'disable_google_fonts_link' => true,   // Disable this in case you want to create your own google fonts loader
    'admin_bar'            => true,
    // Show the panel pages on the admin bar
    'admin_bar_icon'       => 'dashicons-menu',
    // Choose an icon for the admin bar menu
    'admin_bar_priority'   => 50,
    // Choose an priority for the admin bar menu
    'global_variable'      => '',
    // Set a different name for your global variable other than the opt_name
    'dev_mode'             => false,
    'forced_dev_mode_off'  => false,
    // Show the time the page took to load, etc
    'update_notice'        => false,
    // If dev_mode is enabled, will notify developer of updated versions available in the GitHub Repo
    'customizer'           => true,
    // Enable basic customizer support
    //'open_expanded'     => true,    // Allow you to start the panel in an expanded way initially.
    //'disable_save_warn' => true,    // Disable the save warning when a user changes a field

    // OPTIONAL -> Give you extra features
    'page_priority'        => null,
    // Order where the menu appears in the admin area. If there is any conflict, something will not show. Warning.
    'page_parent'          => 'themes.php',
    // For a full list of options, visit: http://codex.wordpress.org/Function_Reference/add_submenu_page#Parameters
    'page_permissions'     => 'manage_options',
    // Permissions needed to access the options panel.
    'menu_icon'            => '',
    // Specify a custom URL to an icon
    'last_tab'             => '',
    // Force your panel to always open to a specific tab (by id)
    'page_icon'            => 'icon-themes',
    // Icon displayed in the admin panel next to your menu_title
    'page_slug'            => 'ranna-options',
    // Page slug used to denote the panel, will be based off page title then menu title then opt_name if not provided
    'save_defaults'        => true,
    // On load save the defaults to DB before user clicks save or not
    'default_show'         => true,
    // If true, shows the default value next to each field that is not the default value.
    'default_mark'         => '',
    // What to print by the field's title if the value shown is default. Suggested: *
    'show_import_export'   => true,
    // Shows the Import/Export panel when not used as a field.

    // CAREFUL -> These options are for advanced use only
    'transient_time'       => 60 * MINUTE_IN_SECONDS,
    'output'               => true,
    // Global shut-off for dynamic CSS output by the framework. Will also disable google fonts output
    'output_tag'           => true,
    // Allows dynamic CSS to be generated for customizer and google fonts, but stops the dynamic CSS from going to the head
    // 'footer_credit'     => '',                   // Disable the footer credit of Redux. Please leave if you can help it.

    // FUTURE -> Not in use yet, but reserved or partially implemented. Use at your own risk.
    'database'             => '',
    // possible: options, theme_mods, theme_mods_expanded, transient. Not fully functional, warning!
    'use_cdn'              => true,
    // If you prefer not to use the CDN for Select2, Ace Editor, and others, you may download the Redux Vendor Support plugin yourself and run locally or embed it in your code.
);

Redux::setArgs( $opt_name, $args );

// Fields
Redux::setSection( $opt_name, array(
    'title'            => esc_html__( 'General', 'ranna' ),
    'id'               => 'general_section',
    'heading'          => '',
    'icon'             => 'el el-network',
    'fields' => array(
        array(
            'id'       => 'primary_color',
            'type'     => 'color',
            'transparent' => false,
            'title'    => esc_html__( 'Primary Color', 'ranna' ),
            'subtitle' => esc_html__( 'Theme Default: #ff4a52', 'ranna' ),
            'default'  => '#ff4a52',
        ),
        array(
            'id'       => 'body_color',
            'type'     => 'color',
            'transparent' => false,
            'title'    => esc_html__( 'Body Color', 'ranna' ),
            'subtitle' => esc_html__( 'Theme Default: #646464', 'ranna' ),
            'default'  => '#646464',
        ),
        array(
            'id'       => 'container_width',
            'type'     => 'select',
            'title'    => esc_html__( 'Container width( Bootstrap Grid )', 'ranna'), 
            'subtitle' => esc_html__( 'Bootstrap Grid Container Width size for site.', 'ranna' ),
            'options'  => array(
                '1350' => esc_html__( '1350px', 'ranna' ),
                '1240' => esc_html__( '1240px', 'ranna' ),
                '1200' => esc_html__( '1200px', 'ranna' ),
                '1140' => esc_html__( '1140px', 'ranna' ),
            ),
            'default'  => '1240',
        ),
        array(
            'id'       => 'sidebar_width',
            'type'     => 'select',
            'title'    => esc_html__( 'Sidebar width( Bootstrap Grid )', 'ranna'), 
            'subtitle' => esc_html__( 'Bootstrap Grid Sidebar Width size for site.', 'ranna' ),
            'options'  => array(
                'small' => esc_html__( 'Small Width ( 3 Col )', 'ranna' ),
                'big' => esc_html__( 'Wide Width ( 4 Col )', 'ranna' ),
            ),
            'default'  => 'big',
        ),
        array(
            'id'       => 'preloader',
            'type'     => 'switch',
            'title'    => esc_html__( 'Preloader', 'ranna' ),
            'on'       => esc_html__( 'Enabled', 'ranna' ),
            'off'      => esc_html__( 'Disabled', 'ranna' ),
            'default'  => false,
        ),
        array(
            'id'       => 'preloader_image',
            'type'     => 'media',
            'title'    => esc_html__( 'Preloader Image', 'ranna' ),
            'subtitle' => esc_html__( 'Please upload your choice of preloader image. Transparent GIF format is recommended', 'ranna' ),
            'default'  => array(
                'url'=> RANNA_IMG_URL . 'preloader.gif'
            ),
            'required' => array( 'preloader', 'equals', true )
        ),
        array(
            'id'       => 'back_to_top',
            'type'     => 'switch',
            'title'    => esc_html__( 'Back to Top Arrow', 'ranna' ),
            'on'       => esc_html__( 'Enabled', 'ranna' ),
            'off'      => esc_html__( 'Disabled', 'ranna' ),
            'default'  => true,
        ),
        array(
            'id'       => 'display_no_preview_image',
            'type'     => 'switch',
            'title'    => esc_html__( 'Display No Preview Image on Blog/Archive', 'ranna' ),
			'off'      => esc_html__( 'Disabled', 'ranna' ),
            'on'       => esc_html__( 'Enabled', 'ranna' ),
            'default'  => 'off',
        ),
        array(
            'id'       => 'display_no_prev_img_related_post',
            'type'     => 'switch',
            'title'    => esc_html__( 'Display No Preview Image on Related Post', 'ranna' ),
			'off'      => esc_html__( 'Disabled', 'ranna' ),
            'on'       => esc_html__( 'Enabled', 'ranna' ),
            'default'  => 'off',
        ),
        array(
            'id'       => 'no_preview_image',
            'type'     => 'media',
            'title'    => esc_html__( 'Alternative Preview Image', 'ranna' ),
            'subtitle' => esc_html__( 'This image will be used as preview image in some archive pages if no featured image exists', 'ranna' ),
            'default'  => array(
                'url'=> RANNA_IMG_URL . 'noimage.jpg'
            ),
			'required' => array( 'display_no_preview_image', 'equals', true )
        ),
        array(
            'id'       => 'show_post_recipe',
            'type'     => 'select',
            'title'    => esc_html__( 'Show post or Recipe in Author Page', 'ranna'),
            'options'  => array(
                'post' => esc_html__( 'Post', 'ranna' ),
                'recipe' => esc_html__( 'Recipe', 'ranna' ),
            ),
            'default'  => 'post',
        ), 
		array(
			'id'       => 'recipe_slug',
			'type'     => 'text',
			'title'    => esc_html__( 'Recipe Single Slug', 'ranna' ),
			'default'  => 'recipe',
		),
    )
)
);

Redux::setSection( $opt_name, array(
    'title'            => esc_html__( 'Contact & Socials', 'ranna' ),
    'id'               => 'socials_section',
    'heading'          => '',
    'desc'             => esc_html__( 'In case you want to hide any field, keep that field empty', 'ranna' ),
    'icon'             => 'el el-twitter',
    'fields' => array(
        array(
            'id'       => 'phone',
            'type'     => 'text',
            'title'    => esc_html__( 'Phone', 'ranna' ),
            'default'  => '',
        ),
        array(
            'id'       => 'email',
            'type'     => 'text',
            'title'    => esc_html__( 'Email', 'ranna' ),
            'validate' => 'email',
            'default'  => '',
        ),
        array(
            'id'       => 'address',
            'type'     => 'textarea',
            'title'    => esc_html__( 'Address', 'ranna' ),
            'default'  => '',
        ),
        array(
            'id'       => 'social_facebook',
            'type'     => 'text',
            'title'    => esc_html__( 'Facebook', 'ranna' ),
            'default'  => '',
        ),
        array(
            'id'       => 'social_twitter',
            'type'     => 'text',
            'title'    => esc_html__( 'Twitter', 'ranna' ),
            'default'  => '',
        ),
        array(
            'id'       => 'social_gplus',
            'type'     => 'text',
            'title'    => esc_html__( 'Google Plus', 'ranna' ),
            'default'  => '',
        ),
        array(
            'id'       => 'social_linkedin',
            'type'     => 'text',
            'title'    => esc_html__( 'Linkedin', 'ranna' ),
            'default'  => ''
        ),
		array(
            'id'       => 'social_behance',
            'type'     => 'text',
            'title'    => esc_html__( 'Behance', 'ranna' ),
            'default'  => '',
        ),
		array(
            'id'       => 'social_dribbble',
            'type'     => 'text',
            'title'    => esc_html__( 'Dribbble', 'ranna' ),
            'default'  => '',
        ),
        array(
            'id'       => 'social_youtube',
            'type'     => 'text',
            'title'    => esc_html__( 'Youtube', 'ranna' ),
            'default'  => '',
        ),
        array(
            'id'       => 'social_pinterest',
            'type'     => 'text',
            'title'    => esc_html__( 'Pinterest', 'ranna' ),
            'default'  => ''
        ),
        array(
            'id'       => 'social_instagram',
            'type'     => 'text',
            'title'    => esc_html__( 'Instagram', 'ranna' ),
            'default'  => ''
        ),
        array(
            'id'       => 'social_skype',
            'type'     => 'text',
            'title'    => esc_html__( 'Skype', 'ranna' ),
            'default'  => ''
        ),
        array(
            'id'       => 'social_rss',
            'type'     => 'text',
            'title'    => esc_html__( 'RSS', 'ranna' ),
            'default'  => '',
        ),
    )            
));

Redux::setSection( $opt_name, array(
    'title'            => esc_html__( 'Header', 'ranna' ),
    'id'               => 'header_section',
    'heading'          => '',
    'icon'             => 'el el-caret-up',
    'fields' => array(
        array(
            'id'       => 'logo',
            'type'     => 'media',
            'title'    => esc_html__( 'Main Logo', 'ranna' ),
            'default'  => array(
                'url'=> RANNA_IMG_URL . 'logo.png'
            ),
            'subtitle' => esc_html__( 'Logo height less than 90px is recommended', 'ranna' ),
        ),
        array(
            'id'       => 'logo_light',
            'type'     => 'media',
            'title'    => esc_html__( 'Light Logo', 'ranna' ),
            'default'  => array(
                'url'=> RANNA_IMG_URL . 'logo2.png'
            ),
            'subtitle' => esc_html__( 'Used when Transparent Header is enabled. Logo height less than 90px is recommended', 'ranna' ),
        ),
        array(
            'id'       => 'logo_width',
            'type'     => 'select',
            'title'    => esc_html__( 'Logo Area Width', 'ranna'), 
            'subtitle' => esc_html__( 'Width is defined by the number of bootstrap columns. Please note, navigation menu width will be decreased with the increase of logo width', 'ranna' ),
            'options'  => array(
                '1' => esc_html__( '1 Column', 'ranna' ),
                '2' => esc_html__( '2 Column', 'ranna' ),
                '3' => esc_html__( '3 Column', 'ranna' ),
                '4' => esc_html__( '4 Column', 'ranna' ),
            ),
            'default'  => '2',
        ),
        array(
            'id'       => 'sticky_menu',
            'type'     => 'switch',
            'title'    => esc_html__( 'Sticky Header', 'ranna' ),
            'on'       => esc_html__( 'Enabled', 'ranna' ),
            'off'      => esc_html__( 'Disabled', 'ranna' ),
            'default'  => true,
            'subtitle' => esc_html__( 'Show header when scroll down', 'ranna' ),
        ),
        array(
            'id'       => 'tr_header',
            'type'     => 'switch',
            'title'    => esc_html__( 'Transparent Header', 'ranna' ),
            'on'       => esc_html__( 'Enabled', 'ranna' ),
            'off'      => esc_html__( 'Disabled', 'ranna' ),
            'default'  => false,
            'subtitle' => esc_html__( 'You have to enable Banner or Slider in page to make it work properly. You can override this settings in individual pages', 'ranna' ),
        ),
		array(
            'id'       => 'header_opt',
            'type'     => 'switch',
            'title'    => esc_html__( 'Header On/Off', 'ranna' ),
            'on'       => esc_html__( 'Enabled', 'ranna' ),
            'off'      => esc_html__( 'Disabled', 'ranna' ),
            'default'  => true,
            'subtitle' => esc_html__( 'You can override this settings in individual pages', 'ranna' ),
        ),
        array(
            'id'       => 'top_bar',
            'type'     => 'switch',
            'title'    => esc_html__( 'Top Bar', 'ranna' ),
            'on'       => esc_html__( 'Enabled', 'ranna' ),
            'off'      => esc_html__( 'Disabled', 'ranna' ),
            'default'  => false,
            'subtitle' => esc_html__( 'You can override this settings in individual pages', 'ranna' ),
        ),
        array(
            'id'       => 'top_bar_color',
            'type'     => 'color',
            'transparent' => false,
            'title'    => esc_html__( 'Top Bar Text Color', 'ranna' ),
            'default'  => '#444444',
        ),
		array(
            'id'       => 'top_baricon_color',
            'type'     => 'color',
            'transparent' => false,
            'title'    => esc_html__( 'Top Bar Icon Color', 'ranna' ),
            'default'  => '#444444',
        ),
        array(
            'id'       => 'top_bar_color_tr',
            'type'     => 'color',
            'transparent' => false,
            'title'    => esc_html__( 'Transparent Top Bar Text Color', 'ranna' ),
            'subtitle' => esc_html__( 'Applied when Transparent Header is enabled', 'ranna' ),
            'default'  => '#efefef',
        ),
		array(
            'id'       => 'top_baricon_color_tr',
            'type'     => 'color',
            'transparent' => false,
            'title'    => esc_html__( 'Transparent Top Bar Icon Color', 'ranna' ),
            'subtitle' => esc_html__( 'Applied when Transparent Header is enabled', 'ranna' ),
            'default'  => '#efefef',
        ),
        array(
            'id'       => 'top_bar_bgcolor',
            'type'     => 'color',
            'transparent' => false,
            'title'    => esc_html__( 'Top Bar Background Color', 'ranna' ),
            'default'  => '#f8f8f8',
        ),
        array(
            'id'       => 'top_bar_style',
            'type'     => 'image_select',
            'title'    => esc_html__( 'Top Bar Layout', 'ranna' ),
            'default'  => '1',
            'options' => array(
                '1' => array(
                    'title' => '<b>'. esc_html__( 'Layout 1', 'ranna' ) . '</b>',
                    'img' => RANNA_IMG_URL . 'top1.png',
                ),
                '2' => array(
                    'title' => '<b>'. esc_html__( 'Layout 2', 'ranna' ) . '</b>',
                    'img' => RANNA_IMG_URL . 'top2.png',
                ),
                '3' => array(
                    'title' => '<b>'. esc_html__( 'Layout 3', 'ranna' ) . '</b>',
                    'img' => RANNA_IMG_URL . 'top3.png',
                ),
                '4' => array(
                    'title' => '<b>'. esc_html__( 'Layout 4', 'ranna' ) . '</b>',
                    'img' => RANNA_IMG_URL . 'top3.png',
                ),
            ),
            'subtitle' => esc_html__( 'You can override this settings in individual pages', 'ranna' ),
        ),
        array(
            'id'       => 'header_style',
            'type'     => 'image_select',
            'title'    => esc_html__( 'Header Layout', 'ranna' ),
            'default'  => '1',
            'options' => array(
                '1' => array(
                    'title' => '<b>'. esc_html__( 'Layout 1', 'ranna' ) . '</b>',
                    'img' => RANNA_IMG_URL . 'header-1.png',
                ),
                '2' => array(
                    'title' => '<b>'. esc_html__( 'Layout 2', 'ranna' ) . '</b>',
                    'img' => RANNA_IMG_URL . 'header-2.png',
                ),
				'3' => array(
                    'title' => '<b>'. esc_html__( 'Layout 3', 'ranna' ) . '</b>',
                    'img' => RANNA_IMG_URL . 'header-3.png',
                ),
            ),
            'subtitle' => esc_html__( 'You can override this settings in individual pages', 'ranna' ),
        ),		
		//header 6
        array(
            'id'       => 'show_submit',
            'type'     => 'button_set',
            'title'    => esc_html__( 'Show Submit Button in Header', 'ranna' ),
            'type'     => 'switch',
            'on'       => esc_html__( 'Enabled', 'ranna' ),
            'off'      => esc_html__( 'Disabled', 'ranna' ),
            'default'  => true,			
			'required' => array ( array( 'header_style', 'equals', '3' ) ),
        ),
        array(
            'id'       => 'show_login',
            'type'     => 'button_set',
            'title'    => esc_html__( 'Show Login Button in Header', 'ranna' ),
            'type'     => 'switch',
            'on'       => esc_html__( 'Enabled', 'ranna' ),
            'off'      => esc_html__( 'Disabled', 'ranna' ),
            'default'  => true,			
			'required' => array ( array( 'header_style', 'equals', '3' ) ),
        ),
        array(
            'id'       => 'show_recipe_account',
            'type'     => 'button_set',
            'title'    => esc_html__( 'Show Recipe Account Page Link in Header', 'ranna' ),
            'type'     => 'switch',
            'on'       => esc_html__( 'Enabled', 'ranna' ),
            'off'      => esc_html__( 'Disabled', 'ranna' ),
            'default'  => true,			
			'required' => array ( array( 'header_style', 'equals', '3' ) ),
        ),
        array(
            'id'       => 'search_icon',
            'type'     => 'switch',
            'title'    => esc_html__( 'Search Icon', 'ranna' ),
            'on'       => esc_html__( 'Enabled', 'ranna' ),
            'off'      => esc_html__( 'Disabled', 'ranna' ),
            'default'  => true,
        ), 
        array(
            'id'       => 'cart_icon',
            'type'     => 'switch',
            'title'    => esc_html__( 'Cart Icon', 'ranna' ),
            'on'       => esc_html__( 'Enabled', 'ranna' ),
            'off'      => esc_html__( 'Disabled', 'ranna' ),
            'default'  => true,
        ),
    )            
) 
);

Redux::setSection( $opt_name, array(
    'title'            => esc_html__( 'Main Menu', 'ranna' ),
    'id'               => 'menu_section',
    'heading'          => '',
    'icon'             => 'el el-book',
    'fields' => array(
        array(
            'id'       => 'section-mainmenu',
            'type'     => 'section',
            'title'    => esc_html__( 'Main Menu Items', 'ranna' ),
            'indent'   => true,
        ),
        array(
            'id'       => 'menu_typo',
            'type'     => 'typography',
            'title'    => esc_html__( 'Menu Font', 'ranna' ),
            'google'   => true,
            'subsets'   => false,
            'text-align' => false,
            'color'   => false,
            'text-transform' => true,
            'default'     => array(
                'font-family' 	 => 'Source Sans Pro',
                'google'      	 => true,
                'font-size'   	 => '16px',
                'font-weight' 	 => '600',
                'line-height' 	 => '26px',
                'text-transform' => 'capitalize',
            ),
        ),
        array(
            'id'       => 'menu_color',
            'type'     => 'color',
            'transparent' => false,
            'title'    => esc_html__( 'Menu Color', 'ranna' ),
            'default'  => '#111111',
        ),
		/*menu background color for header style 6,7,8 */
        array(
            'id'       => 'menu_bgcolor_6',
            'type'     => 'color',
            'title'    => esc_html__('Menu Background Color', 'ranna'), 
            'validate' => 'color',
            'transparent' => false,
            'default' => '#111111',
			'required' => array( 
				array('header_style','equals','6')
			)
        ),
        array(
            'id'       => 'menu_color_tr',
            'type'     => 'color',
            'transparent' => false,
            'title'    => esc_html__( 'Transparent Menu Color', 'ranna' ),
            'subtitle' => esc_html__( 'Applied when Transparent Header is enabled', 'ranna' ),
            'default'  => '#ffffff',
        ),
        array(
            'id'       => 'menu_hover_color',
            'type'     => 'color',
            'transparent' => false,
            'title'    => esc_html__( 'Menu Hover Color', 'ranna' ),
            'default'  => '#ff4a52',
        ),
        array(
            'id'       => 'section-submenu',
            'type'     => 'section',
            'title'    => esc_html__( 'Sub Menu Items', 'ranna' ),
            'indent'   => true,
        ), 
        array(
            'id'       => 'submenu_typo',
            'type'     => 'typography',
            'title'    => esc_html__( 'Submenu Font', 'ranna' ),
            'google'   => true,
            'subsets'   => false,
            'text-align'   => false,
            'color'   => false,
            'text-transform' => true,
            'default'     => array(
                'font-family' => 'Source Sans Pro',
                'google'      => true,
                'font-size'   => '16px',
                'font-weight' => '400',
                'line-height' => '26px',
                'text-transform' => 'inherit',
            ),
        ),
        array(
            'id'       => 'submenu_color',
            'type'     => 'color',
            'transparent' => false,
            'title'    => esc_html__( 'Submenu Color', 'ranna' ),
            'default'  => '#111111',
        ), 
        array(
            'id'       => 'submenu_bgcolor',
            'type'     => 'color',
            'transparent' => false,
            'title'    => esc_html__( 'Submenu Background Color', 'ranna' ),
            'default'  => '#ffffff',
        ),  
        array(
            'id'       => 'submenu_hover_color',
            'type'     => 'color',
            'transparent' => false,
            'title'    => esc_html__( 'Submenu Hover Color', 'ranna' ),
            'default'  => '#ff4a52',
        ), 
        array(
            'id'       => 'submenu_hover_bgcolor',
            'type'     => 'color',
            'transparent' => false,
            'title'    => esc_html__( 'Submenu Hover Background Color', 'ranna' ),
            'default'  => '#ffffff',
        ),
        array(
            'id'       => 'section-resmenu',
            'type'     => 'section',
            'title'    => esc_html__( 'Mobile Menu', 'ranna' ),
            'indent'   => true,
        ), 
        array(
            'id'       => 'resmenu_width',
            'type'     => 'slider',
            'title'    => esc_html__( 'Screen width in which mobile menu activated', 'ranna' ),
            'subtitle' => esc_html__( 'Recommended value is: 992', 'ranna' ),
            'default'  => 992,
            'min'      => 0,
            'step'     => 1,
            'max'      => 2000,
        ),
        array(
            'id'       => 'resmenu_typo',
            'type'     => 'typography',
            'title'    => esc_html__( 'Mobile Menu Font', 'ranna' ),
            'google'   => true,
            'subsets'   => false,
            'text-align'   => false,
            'color'   => false,
            'text-transform' => true,
            'default'     => array(
				'font-family' => 'Source Sans Pro',
                'google'      => true,
                'font-size'   => '16px',
                'font-weight' => '400',
                'line-height' => '26px',
                'text-transform' => 'inherit',				
            ),
        ),
    )
) 
);

Redux::setSection( $opt_name, array(
    'title'            => esc_html__( 'Banner', 'ranna' ),
    'id'               => 'banner_section',
    'heading'          => '',
    'icon'             => 'el el-picture',
    'fields' => array(
        array(
            'id'       => 'banner_heading_color',
            'type'     => 'color',
            'transparent' => false,
            'title'    => esc_html__( 'Banner Heading Color', 'ranna' ),
            'default'  => '#ffffff',
        ),
        array(
            'id'       => 'breadcrumb_active',
            'type'     => 'switch',
            'title'    => esc_html__( 'Enable Breadcrumb', 'ranna' ),
            'on'       => esc_html__( 'Enabled', 'ranna' ),
            'off'      => esc_html__( 'Disabled', 'ranna' ),
            'default'  => true,
        ),
		array(
			'id'       => 'breadcrumbs_delimiter',
			'type'     => 'text',
			'title'    => esc_html__( 'Breadcrumbs Delimiter', 'ranna' ),
			'default'  => ' > ',
		),
        array(
            'id'       => 'breadcrumb_hide_mobile',
            'type'     => 'switch',
            'title'    => esc_html__( 'Show/Hide Breadcrumb in mobile', 'ranna' ),
            'on'       => esc_html__( 'Enabled', 'ranna' ),
            'off'      => esc_html__( 'Disabled', 'ranna' ),
            'default'  => false,
        ),		
        array(
            'id'       => 'breadcrumb_link_color',
            'type'     => 'color',
            'transparent' => false,
            'title'    => esc_html__( 'Breadcrumb Link Color', 'ranna' ),
            'default'  => '#ffffff',
        ),
        array(
            'id'       => 'breadcrumb_link_hover_color',
            'type'     => 'color',
            'transparent' => false,
            'title'    => esc_html__( 'Breadcrumb Link Hover Color', 'ranna' ),
            'default'  => '#646464',
        ),
        array(
            'id'       => 'breadcrumb_active_color',
            'type'     => 'color',
            'transparent' => false,
            'title'    => esc_html__( 'Active Breadcrumb Color', 'ranna' ),
            'default'  => '#ffffff',
        ),
        array(
            'id'       => 'breadcrumb_seperator_color',
            'type'     => 'color',
            'transparent' => false,
            'title'    => esc_html__( 'Breadcrumb Seperator Color', 'ranna' ),
            'default'  => '#ffffff',
        ),
        array(
            'id'       => 'banner_bg_opacity',
            'type'     => 'text',
            'title'    => esc_html__( 'Banner Background Overlay opacity', 'ranna' ),
            'default'  => '0.95',
        ),

    )
)
);

/*advertisement*/
function ranna_redux_advertisement_fields( $prefix, $title, $subtitle = '' ){
    return array(
        array(
            'id'       =>  $prefix. '_sec',
            'type'     => 'section',
            'title'    => $title,
            'subtitle' => $subtitle,
            'indent'   => true,
        ),
        array(
            'id'       => $prefix. '_activate',
            'type'     => 'switch',
            'title'    => esc_html__( 'Activate Ad', 'ranna' ),
            'on'       => esc_html__( 'Enabled', 'ranna' ),
            'off'      => esc_html__( 'Disabled', 'ranna' ),
            'default'  => false,
        ),
        array(
            'id'       => $prefix. '_type',
            'type'     => 'button_set',
            'title'    => esc_html__( 'Ad Type', 'ranna' ),
            'options'  => array(
                'image'  => esc_html__( 'Image Link', 'ranna' ),
                'code'   => esc_html__( 'Custom Code', 'ranna' ),
            ),
            'default' => 'image',
            'required' => array(  $prefix. '_activate', 'equals', true )
        ),
        array(
            'id'       => $prefix. '_image',
            'type'     => 'media',
            'title'    => esc_html__( 'Image', 'ranna' ),
            'default'  => '',
            'required' => array(  $prefix. '_type', 'equals', 'image' )
        ),
        array(
            'id'       => $prefix. '_url',
            'type'     => 'text',
            'title'    => esc_html__( 'Link', 'ranna' ),
            'default'  => '',
            'required' => array(  $prefix. '_type', 'equals', 'image' )
        ),
        array(
            'id'       => $prefix. '_newtab',
            'type'     => 'switch',
            'title'    => esc_html__( 'Open Link in New Tab', 'ranna' ),
            'on'       => esc_html__( 'Enabled', 'ranna' ),
            'off'      => esc_html__( 'Disabled', 'ranna' ),
            'default'  => true,
            'required' => array(  $prefix. '_type', 'equals', 'image' )
        ),
        array(
            'id'       => $prefix. '_nofollow',
            'type'     => 'switch',
            'title'    => esc_html__( 'Nofollow', 'ranna' ),
            'on'       => esc_html__( 'Enabled', 'ranna' ),
            'off'      => esc_html__( 'Disabled', 'ranna' ),
            'default'  => true,
            'subtitle' => esc_html__( 'Make Link Nofollow', 'ranna' ),
            'required' => array(  $prefix. '_type', 'equals', 'image' )
        ),
        array(
            'id'       => $prefix. '_code',
            'type'     => 'textarea',
            'title'    => esc_html__( 'Custom Code', 'ranna' ),
            'default'  => '',
            'subtitle' => esc_html__( 'Supports: Shortcode, Adsense, Text, HTML, Scripts', 'ranna' ),
            'required' => array(  $prefix. '_type', 'equals', 'code' )
        ),
    );
}

Redux::setSection( $opt_name, array(
    'title'            => esc_html__( 'Footer', 'ranna' ),
    'id'               => 'footer_section',
    'heading'          => '',
    'icon'             => 'el el-caret-down',
    'fields' => array(
		/*main footer part*/
		array( 
            'id'       => 'footer_style',
            'type'     => 'image_select',
            'title'    => esc_html__( 'Footer Layout', 'ranna' ),
            'default'  => '1',
            'options' => array(
                '1' => array(
                    'title' => '<b>'. esc_html__( 'Layout 1', 'ranna' ) . '</b>',
                    'img' => RANNA_IMG_URL . 'footer-1.jpg',
                ),
                '2' => array(
                    'title' => '<b>'. esc_html__( 'Layout 2', 'ranna' ) . '</b>',
                    'img' => RANNA_IMG_URL . 'footer-2.jpg',
                ),
                '3' => array(
                    'title' => '<b>'. esc_html__( 'Layout 3', 'ranna' ) . '</b>',
                    'img' => RANNA_IMG_URL . 'footer-3.jpg',
                ),
                '4' => array(
                    'title' => '<b>'. esc_html__( 'Layout 4', 'ranna' ) . '</b>',
                    'img' => RANNA_IMG_URL . 'footer-4.jpg',
                ),
                '5' => array(
                    'title' => '<b>'. esc_html__( 'Layout 5', 'ranna' ) . '</b>',
                    'img' => RANNA_IMG_URL . 'footer-5.jpg',
                ),
            ),
            'subtitle' => esc_html__( 'You can override this settings in individual pages', 'ranna' ),
        ),				
        array(
            'id'       => 'section-footer-area',
            'type'     => 'section',
            'title'    => esc_html__( 'Footer Area', 'ranna' ),
            'indent'   => true,
        ),
        array(
            'id'       => 'footer_area',
            'type'     => 'switch',
            'title'    => esc_html__( 'Display Footer Area', 'ranna' ),
            'on'       => esc_html__( 'Enabled', 'ranna' ),
            'off'      => esc_html__( 'Disabled', 'ranna' ),
            'default'  => true,
        ),
        array(
            'id'       => 'footer_column_2',
            'type'     => 'select',
            'title'    => esc_html__( 'Number of Columns for Footer 2', 'ranna' ),
            'options'  => array(
                '1' => '1 Column',
                '2' => '2 Columns',
                '3' => '3 Columns',
                '4' => '4 Columns',
            ),
            'default'  => '3',
            'required' => array( 'footer_style', 'equals', '2' )
        ),
        array(
            'id'       => 'footer_column_4',
            'type'     => 'select',
            'title'    => esc_html__( 'Number of Columns for Footer 2', 'ranna' ),
            'options'  => array(
                '1' => '1 Column',
                '2' => '2 Columns',
                '3' => '3 Columns',
                '4' => '4 Columns',
            ),
            'default'  => '3',
            'required' => array( 'footer_style', 'equals', '4' )
        ),
        array(
            'id'       => 'footer_bgcolor',
            'type'     => 'color',
            'transparent' => false,
            'title'    => esc_html__( 'Footer Background Color', 'ranna' ),
            'default'  => '#1b1d1f',
            'required' => array( 'footer_area', 'equals', true ),
        ),
        array(
            'id'       => 'footer_title_color',
            'type'     => 'color',
            'transparent' => false,
            'title'    => esc_html__( 'Footer Title Text Color', 'ranna' ),
            'default'  => '#ffffff',
            'required' => array( 'footer_area', 'equals', true )
        ), 
        array(
            'id'       => 'footer_color',
            'type'     => 'color',
            'transparent' => false,
            'title'    => esc_html__( 'Footer Body Text Color', 'ranna' ),
            'default'  => '#b0b0b0',
            'required' => array( 'footer_area', 'equals', true )
        ), 
        array(
            'id'       => 'footer_link_color',
            'type'     => 'color',
            'transparent' => false,
            'title'    => esc_html__( 'Footer Body Link Color', 'ranna' ),
            'default'  => '#b0b0b0',
            'required' => array( 'footer_area', 'equals', true )
        ), 
        array(
            'id'       => 'footer_link_hover_color',
            'type'     => 'color',
            'transparent' => false,
            'title'    => esc_html__( 'Footer Body Link Hover Color', 'ranna' ),
            'default'  => '#ffffff',
            'required' => array( 'footer_area', 'equals', true )
        ),		
        array(
            'id'       => 'footer_logo_light',
            'type'     => 'media',
            'title'    => esc_html__( 'Footer Logo', 'ranna' ),
            'default'  => array(
                'url'=> RANNA_IMG_URL . 'logo2.png'
            ),
            'subtitle' => esc_html__( 'Logo height less than 90px is recommended', 'ranna' ),
			'required' => array( 'footer_area', 'equals', true )
        ),
        array(
            'id'       => 'section-copyright-area',
            'type'     => 'section',
            'title'    => esc_html__( 'Copyright Area', 'ranna' ),
            'indent'   => true,
        ),
        array(
            'id'       => 'copyright_area',
            'type'     => 'switch',
            'title'    => esc_html__( 'Display Copyright Area', 'ranna' ),
            'on'       => esc_html__( 'Enabled', 'ranna' ),
            'off'      => esc_html__( 'Disabled', 'ranna' ),
            'default'  => true,
        ),
        array(
            'id'       => 'copyright_bgcolor',
            'type'     => 'color',
            'transparent' => false,
            'title'    => esc_html__( 'Copyright Background Color', 'ranna' ),
            'default'  => '#111111',
            'required' => array( 'copyright_area', 'equals', true )
        ),
        array(
            'id'       => 'copyright_color',
            'type'     => 'color',
            'transparent' => false,
            'title'    => esc_html__( 'Copyright Text Color', 'ranna' ),
            'default'  => '#b0b0b0',
            'required' => array( 'copyright_area', 'equals', true )
        ),
        array(
            'id'       => 'copyright_text',
            'type'     => 'textarea',
            'title'    => esc_html__( 'Copyright Text', 'ranna' ),
            'default'  => '&copy; 2020 Ranna. All Rights Reserved.',
            'required' => array( 'copyright_area', 'equals', true )
        ),
    )
) );

Redux::setSection( $opt_name, array(
    'title'            => esc_html__( 'Typography', 'ranna' ),
    'id'               => 'typo_section',
    'icon'             => 'el el-text-width',
    'fields' => array(
        array(
            'id'       		=> 'typo_body',
            'type'     		=> 'typography',
            'title'    		=> esc_html__( 'Body', 'ranna' ),
            'google'   		=> true,
            'subsets'   	=> false,
            'text-align'    => false,
            'font-weight'   => false,
            'color'   => false,
            'default'     => array(
                'font-family' => 'Source Sans Pro',
                'google'      => true,
                'font-size'   => '18px',
                'font-weight' => '400',
                'line-height' => '30px',
            ),
        ),
        array(
            'id'       => 'typo_h1',
            'type'     => 'typography',
            'title'    => esc_html__( 'Header h1', 'ranna' ),
            'google'   => true,
            'subsets'   => false,
            'text-align'   => false,
            'font-weight'   => false,
            'color'   => false,
            'default'     => array(
                'font-family' => 'Oxygen',
                'google'      => true,
                'font-size'   => '36px',
                'font-weight' => '700',
                'line-height'   => '48px',
            ),
        ),
        array(
            'id'       => 'typo_h2',
            'type'     => 'typography',
            'title'    => esc_html__( 'Header h2', 'ranna' ),
            'google'   => true,
            'subsets'   => false,
            'text-align'   => false,
            'font-weight'   => false,
            'color'   => false,
            'default'     => array(
                'font-family' => 'Oxygen',
                'google'      => true,
                'font-size'   => '28px',
                'font-weight' => '700',
                'line-height' => '42px',
            ),
        ),
        array(
            'id'       => 'typo_h3',
            'type'     => 'typography',
            'title'    => esc_html__( 'Header h3', 'ranna' ),
            'google'   => true,
            'subsets'   => false,
            'text-align'   => false,
            'font-weight'   => false,
            'color'   => false,
            'default'     => array(
                'font-family' => 'Oxygen',
                'google'      => true,
                'font-size'   => '22px',
                'font-weight' => '700',
                'line-height' => '36px',
            ),
        ),
        array(
            'id'       => 'typo_h4',
            'type'     => 'typography',
            'title'    => esc_html__( 'Header h4', 'ranna' ),
            'google'   => true,
            'subsets'   => false,
            'text-align'   => false,
            'font-weight'   => false,
            'color'   => false,
            'default'     => array(
                'font-family' => 'Oxygen',
                'google'      => true,
                'font-size'   => '20px',
                'font-weight' => '700',
                'line-height' => '30px',
            ),
        ),
        array(
            'id'       => 'typo_h5',
            'type'     => 'typography',
            'title'    => esc_html__( 'Header h5', 'ranna' ),
            'google'   => true,
            'subsets'   => false,
            'text-align'   => false,
            'font-weight'   => false,
            'color'   => false,
            'default'     => array(
                'font-family' => 'Oxygen',
                'google'      => true,
                'font-size'   => '18px',
                'font-weight' => '700',
                'line-height' => '28',
            ),
        ),
        array(
            'id'       => 'typo_h6',
            'type'     => 'typography',
            'title'    => esc_html__( 'Header h6', 'ranna' ),
            'google'   => true,
            'subsets'   => false,
            'text-align'   => false,
            'font-weight'   => false,
            'color'   => false,
            'default'     => array(
                'font-family' => 'Oxygen',
                'google'      => true,
                'font-size'   => '16px',
                'font-weight' => '700',
                'line-height' => '26px',
            ),
        ),
    )
) );

// Generate Common post type fields 
function ranna_redux_post_type_fields( $prefix ){
    return array(
        array(
            'id'       => $prefix. '_layout',
            'type'     => 'button_set',
            'title'    => esc_html__( 'Layout', 'ranna' ),
            'options'  => array(
                'left-sidebar'  => esc_html__( 'Left Sidebar', 'ranna' ),
                'full-width'    => esc_html__( 'Full Width', 'ranna' ),
                'right-sidebar' => esc_html__( 'Right Sidebar', 'ranna' ),
            ),
            'default' => 'right-sidebar'
        ),
        array(
            'id'       => $prefix. '_sidebar',
            'type'     => 'select',
            'title'    => esc_html__( 'Custom Sidebar', 'ranna' ),
            'options'  => RannaTheme_Helper::custom_sidebar_fields(),
            'default'  => 'sidebar',
            'required' => array( $prefix. '_layout', '!=', 'full-width' ),
        ),
        array(
            'id'       => $prefix. '_padding_top',
            'type'     => 'text',
            'title'    => esc_html__( 'Content Padding Top', 'ranna' ),
            'validate'  => 'numeric',
            'default' => '80',
        ),
        array(
            'id'       => $prefix. '_padding_bottom',
            'type'     => 'text',
            'title'    => esc_html__( 'Content Padding Bottom', 'ranna' ),
            'validate'  => 'numeric',
            'default' => '80'
        ),
        array(
            'id'       => $prefix. '_banner',
            'type'     => 'switch',
            'title'    => esc_html__( 'Banner', 'ranna' ),
            'on'       => esc_html__( 'Enabled', 'ranna' ),
            'off'      => esc_html__( 'Disabled', 'ranna' ),
            'default'  => true,
        ),
        array(
            'id'       => $prefix. '_breadcrumb',
            'type'     => 'switch',
            'title'    => esc_html__( 'Breadcrumb', 'ranna' ),
            'on'       => esc_html__( 'Enabled', 'ranna' ),
            'off'      => esc_html__( 'Disabled', 'ranna' ),
            'default'  => true,
            'required' => array( $prefix. '_banner', 'equals', true )
        ),
        array(
            'id'       => $prefix. '_bgtype',
            'type'     => 'button_set',
            'title'    => esc_html__( 'Banner Background Type', 'ranna' ),
            'options'  => array(
                'bgimg'    => esc_html__( 'Background Image', 'ranna' ),
                'bgcolor'  => esc_html__( 'Background Color', 'ranna' ),
            ),
            'default' => 'bgcolor',
            'required' => array( $prefix. '_banner', 'equals', true )
        ),
        array(
            'id'       => $prefix. '_bgimg',
            'type'     => 'media',
            'title'    => esc_html__( 'Banner Background Image', 'ranna' ),
            'default'  => array(
                'url'=> RANNA_IMG_URL . 'banner.jpg'
            ),
            'required' => array( $prefix. '_bgtype', 'equals', 'bgimg' )
        ),
        array(
            'id'       => $prefix. '_bgcolor',
            'type'     => 'color',
            'title'    => esc_html__('Banner Background Color', 'ranna'), 
            'validate' => 'color',
            'transparent' => false,
            'default' => '#e5e5e5',
            'required' => array( $prefix. '_bgtype', 'equals', 'bgcolor' )
        ),
        array(
            'id'       => $prefix. '_page_bgimg',
            'type'     => 'media',
            'title'    => esc_html__( 'Page/Post Background Image', 'ranna' ),
            'default'  => array(
                'url'=> '',
            ),
        ),
        array(
            'id'       => $prefix. '_page_bgcolor',
            'type'     => 'color',
            'title'    => esc_html__('Page/Post Background Color', 'ranna'), 
            'validate' => 'color',
            'transparent' => true,
            'default' => '#ffffff',
        ),
        array(
            'id'       => $prefix. '_page_bgimg_type',
            'type'     => 'button_set',
            'title'    => esc_html__( 'Page Background Type', 'ranna' ),
			'options' => array(
				'repeat' => esc_html__( 'Repeat', 'ranna' ),
				'repeat-x' => esc_html__( 'Repeat-x', 'ranna' ),
				'repeat-y' => esc_html__( 'Repeat-y', 'ranna' ),
				'no-repeat' => esc_html__( 'No Repeat', 'ranna' ),
			),
			'default' => 'repeat',
        ),
		/*Footer*/
        array(
            'id'       => $prefix. '_footer_bgcolor',
            'type'     => 'color',
            'title'    => esc_html__('Footer Background Color', 'ranna'), 
            'validate' => 'color',
            'transparent' => true,
            'default' => '#111111',
        ),
        array(
            'id'       => $prefix. '_footer_text_color',
            'type'     => 'color',
            'title'    => esc_html__('Footer Text Color', 'ranna'), 
            'validate' => 'color',
            'transparent' => true,
            'default' => '#111111',
        ),
    );
}

Redux::setSection( $opt_name, array(
    'title'            => esc_html__( 'Layout Defaults', 'ranna' ),
    'id'               => 'layout_defaults',
    'icon'             => 'el el-th',
    ) );

// Page
$ranna_page_fields = ranna_redux_post_type_fields( 'page' );
$ranna_page_fields[0]['default'] = 'full-width';
Redux::setSection( $opt_name, array(
	'title'            => esc_html__( 'Page', 'ranna' ),
	'id'               => 'pages_section',
	'subsection' => true,
	'fields' => $ranna_page_fields
	) );

//Post Archive
$ranna_post_archive_fields = ranna_redux_post_type_fields( 'blog' );
Redux::setSection( $opt_name, array(
	'title'      => esc_html__( 'Blog / Archive', 'ranna' ),
	'id'         => 'blog_section',
	'subsection' => true,
	'fields' 	 => $ranna_post_archive_fields
	) );

// Single Post
$ranna_single_post_fields = ranna_redux_post_type_fields( 'single_post' );
Redux::setSection( $opt_name, array(
	'title'      => esc_html__( 'Post Single', 'ranna' ),
	'id'         => 'single_post_section',
	'subsection' => true,
	'fields' 	 => $ranna_single_post_fields          
	) );

if ( class_exists( 'Ranna_Core' ) ) {	
// Single Recipe
$ranna_single_recipe_fields = ranna_redux_post_type_fields( 'recipe' );
Redux::setSection( $opt_name, array(
	'title'      => esc_html__( 'Recipe Single', 'ranna' ),
	'id'         => 'single_recipe_section',
	'subsection' => true,
	'fields' 	 => $ranna_single_recipe_fields          
	) );
}

// Search
$ranna_search_fields = ranna_redux_post_type_fields( 'search' );

$excerpt_length = array (
	array(
		'id'       => 'search_excerpt_length',
		'type'     => 'text',
		'title'    => esc_html__( 'Search Excerpt Length', 'ranna' ),
		'validate'  => 'numeric',
		'default' => '25',
	)       
);
$ranna_search_field_2 = array_merge ( $ranna_search_fields , $excerpt_length );
Redux::setSection( $opt_name, array(
	'title'      => esc_html__( 'Search Layout', 'ranna' ),
	'id'         => 'search_section',
	'heading'    => '',
	'subsection' => true,
	'fields' 	 => $ranna_search_field_2
));

// Error 404 Layout
$ranna_error_fields = ranna_redux_post_type_fields( 'error' );
unset($ranna_error_fields[0]);
$ranna_error_fields[2]['default'] = 'full-width';
$ranna_error_fields[2]['default'] = '120';
$ranna_error_fields[3]['default'] = '120';
Redux::setSection( $opt_name, array(
    'title'   	 => esc_html__( 'Error 404 Layout', 'ranna' ),
    'id'      	 => 'error_section',
    'heading' 	 => '',
    'subsection' => true,
    'fields'  	 => $ranna_error_fields           
) 
);

if ( class_exists( 'WooCommerce' ) ) {
    // Woocommerce Shop Archive
    $ranna_shop_archive_fields = ranna_redux_post_type_fields( 'shop' );
    Redux::setSection( $opt_name, array(
        'title'      => esc_html__( 'Shop Archive', 'ranna' ),
        'id'         => 'shop_section',
        'subsection' => true,
        'fields' 	 => $ranna_shop_archive_fields
        ) );

    // Woocommerce Product
    $ranna_product_fields = ranna_redux_post_type_fields( 'product' );
    Redux::setSection( $opt_name, array(
        'title'      => esc_html__( 'Product Single', 'ranna' ),
        'id'         => 'product_section',
        'subsection' => true,
        'fields' 	 => $ranna_product_fields
        ) );
}

// Blog Settings
Redux::setSection( $opt_name, array(
    'title'            => esc_html__( 'Blog Settings', 'ranna' ),
    'id'               => 'blog_settings_section',
    'icon'             => 'el el-tags',
    'heading'          => '',
    'fields' => array(
        array(
            'id'       =>'blog_style',
            'type'     => 'image_select',
            'title'    => esc_html__( 'Blog/Archive Layout', 'ranna' ),
            'default'  => 'style1',
            'options' => array(
                'style1' => array(
                    'title' => '<b>'. esc_html__( 'Layout 1', 'ranna' ) . '</b>',
                    'img' => RANNA_IMG_URL . 'blog1.png',
                ),
                'style2' => array(
                    'title' => '<b>'. esc_html__( 'Layout 2', 'ranna' ) . '</b>',
                    'img' => RANNA_IMG_URL . 'blog2.png',
                ),
                'style3' => array(
                    'title' => '<b>'. esc_html__( 'Layout 3', 'ranna' ) . '</b>',
                    'img' => RANNA_IMG_URL . 'blog3.png',
                ),
				'style4' => array(
                    'title' => '<b>'. esc_html__( 'Layout 4', 'ranna' ) . '</b>',
                    'img' => RANNA_IMG_URL . 'blog1.png',
                ),
            ),
        ),
		array(
			'id'       => 'post_banner_title',
			'type'     => 'text',
			'title'    => esc_html__( 'Enter the Post Banner Title', 'ranna' ),
			'default'  => esc_html__( '', 'ranna' ),
		),
		array(
			'id'       => 'post_content_limit',
			'type'     => 'text',
			'title'    => esc_html__( 'Post Content Limit', 'ranna' ),
			'default'  => 20,
		),
        array(
            'id'       => 'blog_date',
            'type'     => 'switch',
            'title'    => esc_html__( 'Show Date', 'ranna' ),
            'on'       => esc_html__( 'On', 'ranna' ),
            'off'      => esc_html__( 'Off', 'ranna' ),
            'default'  => true,
        ), 
        array(
            'id'       => 'blog_author_name',
            'type'     => 'switch',
            'title'    => esc_html__( 'Show Author Name', 'ranna' ),
            'on'       => esc_html__( 'On', 'ranna' ),
            'off'      => esc_html__( 'Off', 'ranna' ),
            'default'  => true,
        ),
        array(
            'id'       => 'blog_comment_num',
            'type'     => 'switch',
            'title'    => esc_html__( 'Show Comment Number', 'ranna' ),
            'on'       => esc_html__( 'On', 'ranna' ),
            'off'      => esc_html__( 'Off', 'ranna' ),
            'default'  => false,
        ), 
        array(
            'id'       => 'blog_cats',
            'type'     => 'switch',
            'title'    => esc_html__( 'Show Categories', 'ranna' ),
            'on'       => esc_html__( 'On', 'ranna' ),
            'off'      => esc_html__( 'Off', 'ranna' ),
            'default'  => false,
        ),
		array(
            'id'       => 'blog_view',
            'type'     => 'switch',
            'title'    => esc_html__( 'Show Views', 'ranna' ),
            'on'       => esc_html__( 'On', 'ranna' ),
            'off'      => esc_html__( 'Off', 'ranna' ),
            'default'  => false,
        ),
		array(
            'id'       => 'blog_length',
            'type'     => 'switch',
            'title'    => esc_html__( 'Show Reading Length Active', 'ranna' ),
            'on'       => esc_html__( 'On', 'ranna' ),
            'off'      => esc_html__( 'Off', 'ranna' ),
            'default'  => false,
        ),
    )
) 
);

// Post Settings
Redux::setSection( $opt_name, array(
    'title'            => esc_html__( 'Post Settings', 'ranna' ),
    'id'               => 'post_settings_section',
    'icon'             => 'el el-file-edit',
    'heading'          => '',
    'fields' => array(	
        array(
            'id'       => 'section-submenu-2',
            'type'     => 'section',
            'title'    => esc_html__( 'Single Post/news Layout Style', 'ranna' ),
            'indent'   => true,
        ),	
        array(
            'id'       =>'post_style',
            'type'     => 'image_select',
            'title'    => esc_html__( 'Single Post Layout', 'ranna' ),
            'default'  => 'style1',
            'options' => array(
                'style1' => array(
                    'title' => '<b>'. esc_html__( 'Layout 1', 'ranna' ) . '</b>',
                    'img' => RANNA_IMG_URL . 'post-style-1.png',
                ),
                'style2' => array(
                    'title' => '<b>'. esc_html__( 'Layout 2', 'ranna' ) . '</b>',
                    'img' => RANNA_IMG_URL . 'post-style-3.png',
                ),
				'style3' => array(
                    'title' => '<b>'. esc_html__( 'Layout 3', 'ranna' ) . '</b>',
                    'img' => RANNA_IMG_URL . 'post-style-3.png',
                ),
            ),
        ),		
        array(
            'id'       => 'section-submenu-3',
            'type'     => 'section',
            'title'    => esc_html__( 'single Post info Settings', 'ranna' ),
            'indent'   => true,
        ),
        array(
            'id'       => 'post_featured_image',
            'type'     => 'switch',
            'title'    => esc_html__( 'Show Featured Image', 'ranna' ),
            'on'       => esc_html__( 'On', 'ranna' ),
            'off'      => esc_html__( 'Off', 'ranna' ),
            'default'  => true,
        ),
        array(
            'id'       => 'post_author_name',
            'type'     => 'switch',
            'title'    => esc_html__( 'Show Author Name', 'ranna' ),
            'on'       => esc_html__( 'On', 'ranna' ),
            'off'      => esc_html__( 'Off', 'ranna' ),
            'default'  => true,
        ),
        array(
            'id'       => 'post_date',
            'type'     => 'switch',
            'title'    => esc_html__( 'Show Post Date', 'ranna' ),
            'on'       => esc_html__( 'On', 'ranna' ),
            'off'      => esc_html__( 'Off', 'ranna' ),
            'default'  => true,
        ),
        array(
            'id'       => 'time_format',
            'type'     => 'select',
            'title'    => esc_html__( 'Modern', 'ranna'), 
            'subtitle' => esc_html__( 'Simple Date format', 'ranna' ),
            'options'  => array(
                'modern' => esc_html__( 'Modern', 'ranna' ),
                'none'   => esc_html__( 'None', 'ranna' ),
            ),
            'default'  => true,
        ),
        array(
            'id'       => 'post_comment_num',
            'type'     => 'switch',
            'title'    => esc_html__( 'Show Comment Number', 'ranna' ),
            'on'       => esc_html__( 'On', 'ranna' ),
            'off'      => esc_html__( 'Off', 'ranna' ),
            'default'  => true,
        ), 
        array(
            'id'       => 'post_cats',
            'type'     => 'switch',
            'title'    => esc_html__( 'Show Categories', 'ranna' ),
            'on'       => esc_html__( 'On', 'ranna' ),
            'off'      => esc_html__( 'Off', 'ranna' ),
            'default'  => true,
        ),
        array(
            'id'       => 'post_tags',
            'type'     => 'switch',
            'title'    => esc_html__( 'Show Tags', 'ranna' ),
            'on'       => esc_html__( 'On', 'ranna' ),
            'off'      => esc_html__( 'Off', 'ranna' ),
            'default'  => true,
        ),
		array(
            'id'       => 'post_share',
            'type'     => 'switch',
            'title'    => esc_html__( 'Show Share', 'ranna' ),
            'on'       => esc_html__( 'On', 'ranna' ),
            'off'      => esc_html__( 'Off', 'ranna' ),
            'default'  => false,
        ),
        array(
            'id'       => 'post_links',
            'type'     => 'switch',
            'title'    => esc_html__( 'Show Next Post / Previous post', 'ranna' ),
            'on'       => esc_html__( 'On', 'ranna' ),
            'off'      => esc_html__( 'Off', 'ranna' ),
            'default'  => false,
        ),
        array(
            'id'       => 'post_author_bio',
            'type'     => 'switch',
            'title'    => esc_html__( 'Show Author Bio', 'ranna' ),
            'on'       => esc_html__( 'On', 'ranna' ),
            'off'      => esc_html__( 'Off', 'ranna' ),
            'default'  => false,
        ),
        array(
            'id'       => 'post_view',
            'type'     => 'switch',
            'title'    => esc_html__( 'Show/hide Post View', 'ranna' ),
            'on'       => esc_html__( 'On', 'ranna' ),
            'off'      => esc_html__( 'Off', 'ranna' ),
			'subtitle' => esc_html__( 'Show or hide post views count number', 'ranna' ),
            'default'  => true,
        ),
        array(
            'id'       => 'post_length',
            'type'     => 'switch',
            'title'    => esc_html__( 'Post Reading Length Active', 'ranna' ),
            'on'       => esc_html__( 'On', 'ranna' ),
            'off'      => esc_html__( 'Off', 'ranna' ),
            'default'  => true,
        ),
        array(
            'id'       => 'section_post_related',
            'type'     => 'section',
            'title'    => esc_html__( 'Related Post Settings', 'ranna' ),
            'indent'   => true,
        ),
        array(
            'id'       => 'show_related_post',
            'type'     => 'switch',
            'title'    => esc_html__( 'Show Related product', 'ranna' ),
            'on'       => esc_html__( 'On', 'ranna' ),
            'off'      => esc_html__( 'Off', 'ranna' ),
            'default'  => false,
        ),
		array(
			'id'       => 'show_related_post_number',
			'type'     => 'text',
			'title'    => esc_html__( 'Show Related Post Number', 'ranna' ),
			'default'  => esc_html__( '5', 'ranna' ),
		),
		array(
			'id'       => 'related_post_query',
			'type'     => 'radio',
			'title'    => esc_html__('Query Type', 'ranna'), 
			'subtitle' => esc_html__('Post Query', 'ranna'),		
			'options'  => array(
				'cat' => esc_html__( 'Posts in the same Categories', 'ranna' ), 
				'tag' => esc_html__( 'Posts in the same Tags', 'ranna' ), 
				'author' => esc_html__( 'Posts by the same Author', 'ranna' ),
			),
			'default' => 'cat'
		),
		array(
			'id'       => 'related_post_sort',
			'type'     => 'radio',
			'title'    => esc_html__('Sort Order', 'ranna'), 
			'subtitle' => esc_html__('Display post Order', 'ranna'),
			'options'  => array(
				'recent' => esc_html__( 'Recent Posts', 'ranna' ), 
				'rand' => esc_html__( 'Random Posts', 'ranna' ), 
				'modified' => esc_html__( 'Last Modified Posts', 'ranna' ),
				'popular' => esc_html__( 'Most Commented posts', 'ranna' ),
				'views' => esc_html__( 'Most Viewed posts', 'ranna' ),
			),
			'default' => 'recent'
		),
		array(
			'id'       => 'show_related_post_title_limit',
			'type'     => 'text',
			'title'    => esc_html__( 'Show Related Post Title Length', 'ranna' ),
			'default'  => esc_html__( '8', 'ranna' ),
		),
    ),
)
);

//Recipe Archive Settings
Redux::setSection( $opt_name, array(
    'title'            => esc_html__( 'Recipe Archive Settings', 'ranna' ),
    'id'               => 'recipe_archive_settings_section',
    'icon'             => 'el el-tags',
    'heading'          => '',
    'fields' => array(			
        array(
            'id'       =>'recipe_archive_style',
            'type'     => 'image_select',
            'title'    => esc_html__( 'Recipe Archive Layout', 'ranna' ),
            'default'  => 'style1',
            'options' => array(
                'style1' => array(
                    'title' => '<b>'. esc_html__( 'With Sidebar', 'ranna' ) . '</b>',
                    'img' => RANNA_IMG_URL . 'post-style-1.png',
                ),
                'style2' => array(
                    'title' => '<b>'. esc_html__( 'Without Sidebar', 'ranna' ) . '</b>',
                    'img' => RANNA_IMG_URL . 'post-style-3.png',
                ),
            ),
        ),
		array(
			'id'       => 'recipe_title_limit',
			'type'     => 'text',
			'title'    => esc_html__( 'Recipe Title Limit', 'ranna' ),
			'default'  => 8,
		),
		array(
			'id'       => 'recipe_content_limit',
			'type'     => 'text',
			'title'    => esc_html__( 'Recipe Content Limit', 'ranna' ),
			'default'  => 15,
		),
        array(
            'id'       => 'recipe_show_cat',
            'type'     => 'switch',
            'title'    => esc_html__( 'Show Category', 'ranna' ),
            'on'       => esc_html__( 'On', 'ranna' ),
            'off'      => esc_html__( 'Off', 'ranna' ),
            'default'  => true,
        ),
        array(
            'id'       => 'recipe_show_rating',
            'type'     => 'switch',
            'title'    => esc_html__( 'Show Rating', 'ranna' ),
            'on'       => esc_html__( 'On', 'ranna' ),
            'off'      => esc_html__( 'Off', 'ranna' ),
            'default'  => true,
        ),
        array(
            'id'       => 'recipe_show_content',
            'type'     => 'switch',
            'title'    => esc_html__( 'Show Content', 'ranna' ),
            'on'       => esc_html__( 'On', 'ranna' ),
            'off'      => esc_html__( 'Off', 'ranna' ),
            'default'  => true,
        ), 
        array(
            'id'       => 'recipe_show_cooktime',
            'type'     => 'switch',
            'title'    => esc_html__( 'Show Cook time', 'ranna' ),
            'on'       => esc_html__( 'On', 'ranna' ),
            'off'      => esc_html__( 'Off', 'ranna' ),
            'default'  => true,
        ), 
        array(
            'id'       => 'recipe_show_comment',
            'type'     => 'switch',
            'title'    => esc_html__( 'Show Comment Number', 'ranna' ),
            'on'       => esc_html__( 'On', 'ranna' ),
            'off'      => esc_html__( 'Off', 'ranna' ),
            'default'  => false,
        ),
        array(
            'id'       => 'recipe_date',
            'type'     => 'switch',
            'title'    => esc_html__( 'Show Date', 'ranna' ),
            'on'       => esc_html__( 'On', 'ranna' ),
            'off'      => esc_html__( 'Off', 'ranna' ),
            'default'  => false,
        ), 
        array(
            'id'       => 'recipe_author_name',
            'type'     => 'switch',
            'title'    => esc_html__( 'Show Author Name', 'ranna' ),
            'on'       => esc_html__( 'On', 'ranna' ),
            'off'      => esc_html__( 'Off', 'ranna' ),
            'default'  => true,
        ),
        array(
            'id'       => 'recipe_like_show',
            'type'     => 'switch',
            'title'    => esc_html__( 'Show Recipe like', 'ranna' ),
            'on'       => esc_html__( 'On', 'ranna' ),
            'off'      => esc_html__( 'Off', 'ranna' ),
            'default'  => true,
        ),
        array(
            'id'       => 'recipe_readmore',
            'type'     => 'switch',
            'title'    => esc_html__( 'Show Readmore', 'ranna' ),
            'on'       => esc_html__( 'On', 'ranna' ),
            'off'      => esc_html__( 'Off', 'ranna' ),
            'default'  => false,
        ),
    )
) 
);

// Post Settings
Redux::setSection( $opt_name, array(
    'title'            => esc_html__( 'Recipe Single Settings', 'ranna' ),
    'id'               => 'recipe_settings_section',
    'icon'             => 'el el-file-edit',
    'heading'          => '',
    'fields' => array(	
        array(
            'id'       => 'section-submenu-2',
            'type'     => 'section',
            'title'    => esc_html__( 'Recipe Layout Style', 'ranna' ),
            'indent'   => true,
        ),	
        array(
            'id'       =>'recipe_style',
            'type'     => 'image_select',
            'title'    => esc_html__( 'Single Recipe Layout', 'ranna' ),
            'default'  => 'style1',
            'options' => array(
                'style1' => array(
                    'title' => '<b>'. esc_html__( 'Layout 1', 'ranna' ) . '</b>',
                    'img' => RANNA_IMG_URL . 'post-style-1.png',
                ),
                'style2' => array(
                    'title' => '<b>'. esc_html__( 'Layout 2', 'ranna' ) . '</b>',
                    'img' => RANNA_IMG_URL . 'post-style-3.png',
                ),
            ),
        ),		
        array(
            'id'       => 'recipe_publish_option',
            'type'     => 'select',
            'title'    => esc_html__( 'Publish recipe Options', 'ranna'), 
            'subtitle' => esc_html__( 'How recipe will publish from frontend? Will it go for admin check?', 'ranna' ),
            'options'  => array(
                'publish' => esc_html__( 'Publish', 'ranna' ),
                'draft'   => esc_html__( 'Draft', 'ranna' ),
            ),
            'default'  => 'publish',
        ),
        array(
            'id'       => 'section-submenu-3',
            'type'     => 'section',
            'title'    => esc_html__( 'single Recipe info Settings', 'ranna' ),
            'indent'   => true,
        ),
        array(
            'id'       => 'recipe_featured_image',
            'type'     => 'switch',
            'title'    => esc_html__( 'Show Featured Image', 'ranna' ),
            'on'       => esc_html__( 'On', 'ranna' ),
            'off'      => esc_html__( 'Off', 'ranna' ),
            'default'  => true,
        ),
        array(
            'id'       => 'recipe_author_name',
            'type'     => 'switch',
            'title'    => esc_html__( 'Show Author Name', 'ranna' ),
            'on'       => esc_html__( 'On', 'ranna' ),
            'off'      => esc_html__( 'Off', 'ranna' ),
            'default'  => true,
        ),
        array(
            'id'       => 'recipe_single_date',
            'type'     => 'switch',
            'title'    => esc_html__( 'Show Recipe Date', 'ranna' ),
            'on'       => esc_html__( 'On', 'ranna' ),
            'off'      => esc_html__( 'Off', 'ranna' ),
            'default'  => true,
        ),		
        array(
            'id'       => 'recipe_comment_num',
            'type'     => 'switch',
            'title'    => esc_html__( 'Show Comment Number', 'ranna' ),
            'on'       => esc_html__( 'On', 'ranna' ),
            'off'      => esc_html__( 'Off', 'ranna' ),
            'default'  => true,
        ),
        array(
            'id'       => 'recipe_comment_rating',
            'type'     => 'switch',
            'title'    => esc_html__( 'Show Comment Rating', 'ranna' ),
            'on'       => esc_html__( 'On', 'ranna' ),
            'off'      => esc_html__( 'Off', 'ranna' ),
            'default'  => true,
        ), 
        array(
            'id'       => 'recipe_cats',
            'type'     => 'switch',
            'title'    => esc_html__( 'Show Categories', 'ranna' ),
            'on'       => esc_html__( 'On', 'ranna' ),
            'off'      => esc_html__( 'Off', 'ranna' ),
            'default'  => true,
        ),
        array(
            'id'       => 'recipe_tags',
            'type'     => 'switch',
            'title'    => esc_html__( 'Show Tags', 'ranna' ),
            'on'       => esc_html__( 'On', 'ranna' ),
            'off'      => esc_html__( 'Off', 'ranna' ),
            'default'  => true,
        ),
		array(
            'id'       => 'recipe_share',
            'type'     => 'switch',
            'title'    => esc_html__( 'Show Social Share( Top )', 'ranna' ),
            'on'       => esc_html__( 'On', 'ranna' ),
            'off'      => esc_html__( 'Off', 'ranna' ),
            'default'  => true,
        ),
		array(
            'id'       => 'recipe_share_bottom',
            'type'     => 'switch',
            'title'    => esc_html__( 'Show Social Share( Bottom )', 'ranna' ),
            'on'       => esc_html__( 'On', 'ranna' ),
            'off'      => esc_html__( 'Off', 'ranna' ),
            'default'  => true,
        ),
        array(
            'id'       => 'recipe_links',
            'type'     => 'switch',
            'title'    => esc_html__( 'Show Next Recipe / Previous Recipe', 'ranna' ),
            'on'       => esc_html__( 'On', 'ranna' ),
            'off'      => esc_html__( 'Off', 'ranna' ),
            'default'  => true,
        ),
        array(
            'id'       => 'recipe_author_bio',
            'type'     => 'switch',
            'title'    => esc_html__( 'Show Author Bio', 'ranna' ),
            'on'       => esc_html__( 'On', 'ranna' ),
            'off'      => esc_html__( 'Off', 'ranna' ),
            'default'  => false,
        ),
        array(
            'id'       => 'recipe_view',
            'type'     => 'switch',
            'title'    => esc_html__( 'Show/hide Recipe View', 'ranna' ),
            'on'       => esc_html__( 'On', 'ranna' ),
            'off'      => esc_html__( 'Off', 'ranna' ),
			'subtitle' => esc_html__( 'Show or hide post views count number', 'ranna' ),
            'default'  => true,
        ),
        array(
            'id'       => 'recipe_length',
            'type'     => 'switch',
            'title'    => esc_html__( 'Recipe Reading Length Active', 'ranna' ),
            'on'       => esc_html__( 'On', 'ranna' ),
            'off'      => esc_html__( 'Off', 'ranna' ),
            'default'  => true,
        ),
		/*Titles*/
		array(
			'id'       => 'recipe_preptime',
			'type'     => 'text',
			'title'    => esc_html__( 'Write the Preparation Time Heading Title', 'ranna' ),
			'default'  => esc_html__( 'Prep Time', 'ranna' ),
		),
		array(
			'id'       => 'recipe_cooktime',
			'type'     => 'text',
			'title'    => esc_html__( 'Write the Cook Time Heading Title', 'ranna' ),
			'default'  => esc_html__( 'Cook Time', 'ranna' ),
		),
		array(
			'id'       => 'recipe_serving',
			'type'     => 'text',
			'title'    => esc_html__( 'Write the Serving Time Heading Title', 'ranna' ),
			'default'  => esc_html__( 'Serving', 'ranna' ),
		),		
        array(
            'id'       => 'recipe_caption',
            'type'     => 'switch',
            'title'    => esc_html__( 'Show Recipe Image Caption', 'ranna' ),
            'on'       => esc_html__( 'On', 'ranna' ),
            'off'      => esc_html__( 'Off', 'ranna' ),
            'default'  => false,
        ),
        array(
            'id'       => 'section_recipe_related',
            'type'     => 'section',
            'title'    => esc_html__( 'Related Recipe Settings', 'ranna' ),
            'indent'   => true,
        ),
        array(
            'id'       => 'show_related_recipe',
            'type'     => 'switch',
            'title'    => esc_html__( 'Show Related Recipe', 'ranna' ),
            'on'       => esc_html__( 'On', 'ranna' ),
            'off'      => esc_html__( 'Off', 'ranna' ),
            'default'  => true,
        ),		
		array(
			'id'       => 'show_related_recipe_title',
			'type'     => 'text',
			'title'    => esc_html__( 'Write the Related Recipe Setion Heading Title', 'ranna' ),
			'default'  => esc_html__( 'YOU MAY ALSO LIKE', 'ranna' ),
		),
		array(
			'id'       => 'show_related_recipe_number',
			'type'     => 'text',
			'title'    => esc_html__( 'Show Related Recipe Number', 'ranna' ),
			'default'  => esc_html__( '5', 'ranna' ),
		),
		array(
			'id'       => 'related_recipe_query',
			'type'     => 'radio',
			'title'    => esc_html__('Query Type', 'ranna'), 
			'subtitle' => esc_html__('Recipe Query', 'ranna'),		
			'options'  => array(
				'cat' => esc_html__( 'Recipe in the same Categories', 'ranna' ), 
				'tag' => esc_html__( 'Recipe in the same Tags', 'ranna' ), 
				'author' => esc_html__( 'Recipe by the same Author', 'ranna' ),
			),
			'default' => 'cat'
		),
		array(
			'id'       => 'related_recipe_sort',
			'type'     => 'radio',
			'title'    => esc_html__('Sort Order', 'ranna'), 
			'subtitle' => esc_html__('Display Recipe Order', 'ranna'),
			'options'  => array(
				'recent' => esc_html__( 'Recent Recipes', 'ranna' ), 
				'rand' => esc_html__( 'Random Recipes', 'ranna' ), 
				'modified' => esc_html__( 'Last Modified Recipes', 'ranna' ),
				'popular' => esc_html__( 'Most Commented Recipes', 'ranna' ),
				'views' => esc_html__( 'Most Viewed Recipes', 'ranna' ),
			),
			'default' => 'recent'
		),
		array(
			'id'       => 'show_related_recipes_title_limit',
			'type'     => 'text',
			'title'    => esc_html__( 'Show Related Recipes Title Length', 'ranna' ),
			'default'  => esc_html__( '8', 'ranna' ),
		),
		/*Search Options*/
        array(
            'id'       => 'section_recipe_search',
            'type'     => 'section',
            'title'    => esc_html__( 'Recipe Search Settings', 'ranna' ),
            'indent'   => true,
        ),
        array(
            'id'       => 'search_by_category',
            'type'     => 'switch',
            'title'    => esc_html__( 'Search by Category', 'ranna' ),
            'on'       => esc_html__( 'On', 'ranna' ),
            'off'      => esc_html__( 'Off', 'ranna' ),
            'default'  => true,
        ),
        array(
            'id'       => 'search_by_ingredient',
            'type'     => 'switch',
            'title'    => esc_html__( 'Search by Ingredient', 'ranna' ),
            'on'       => esc_html__( 'On', 'ranna' ),
            'off'      => esc_html__( 'Off', 'ranna' ),
            'default'  => true,
        ),
        array(
            'id'       => 'search_by_cuisine',
            'type'     => 'switch',
            'title'    => esc_html__( 'Search by Cuisine', 'ranna' ),
            'on'       => esc_html__( 'On', 'ranna' ),
            'off'      => esc_html__( 'Off', 'ranna' ),
            'default'  => true,
        ),
        array(
            'id'       => 'search_by_difficulty',
            'type'     => 'switch',
            'title'    => esc_html__( 'Search by Difficulty', 'ranna' ),
            'on'       => esc_html__( 'On', 'ranna' ),
            'off'      => esc_html__( 'Off', 'ranna' ),
            'default'  => true,
        ),
		
    ),
)
);

// Post Sharing Settings
Redux::setSection( $opt_name, array(
    'title'            => esc_html__( 'Post Sharing Option', 'ranna' ),
    'id'               => 'post_sharing_section',
    'icon'             => 'el el-file-edit',
    'heading'          => '',
    'fields' => array(	
        array(
            'id'       => 'section-submenu-3',
            'type'     => 'section',
            'title'    => esc_html__( 'Single Post/news Sharing Option', 'ranna' ),
            'indent'   => true,
        ),
        array(
            'id'       => 'post_share_facebook',
            'type'     => 'switch',
            'title'    => esc_html__( 'Show Facebook Share Button', 'ranna' ),
            'on'       => esc_html__( 'On', 'ranna' ),
            'off'      => esc_html__( 'Off', 'ranna' ),
            'default'  => true,
        ),
        array(
            'id'       => 'post_share_twitter',
            'type'     => 'switch',
            'title'    => esc_html__( 'Show Twitter Share Button', 'ranna' ),
            'on'       => esc_html__( 'On', 'ranna' ),
            'off'      => esc_html__( 'Off', 'ranna' ),
            'default'  => true,
        ),
        array(
            'id'       => 'post_share_google',
            'type'     => 'switch',
            'title'    => esc_html__( 'Show Google Share Button', 'ranna' ),
            'on'       => esc_html__( 'On', 'ranna' ),
            'off'      => esc_html__( 'Off', 'ranna' ),
            'default'  => true,
        ),
        array(
            'id'       => 'post_share_linkedin',
            'type'     => 'switch',
            'title'    => esc_html__( 'Show Linkedin Share Button', 'ranna' ),
            'on'       => esc_html__( 'On', 'ranna' ),
            'off'      => esc_html__( 'Off', 'ranna' ),
            'default'  => true,
        ),
        array(
            'id'       => 'post_share_whatsapp',
            'type'     => 'switch',
            'title'    => esc_html__( 'Show Whatsapp Share Button', 'ranna' ),
            'on'       => esc_html__( 'On', 'ranna' ),
            'off'      => esc_html__( 'Off', 'ranna' ),
            'default'  => true,
        ),
        array(
            'id'       => 'post_share_stumbleupon',
            'type'     => 'switch',
            'title'    => esc_html__( 'Show Stumbleupon Share Button', 'ranna' ),
            'on'       => esc_html__( 'On', 'ranna' ),
            'off'      => esc_html__( 'Off', 'ranna' ),
            'default'  => true,
        ),
        array(
            'id'       => 'post_share_tumblr',
            'type'     => 'switch',
            'title'    => esc_html__( 'Show Tumblr Share Button', 'ranna' ),
            'on'       => esc_html__( 'On', 'ranna' ),
            'off'      => esc_html__( 'Off', 'ranna' ),
            'default'  => true,
        ),
        array(
            'id'       => 'post_share_pinterest',
            'type'     => 'switch',
            'title'    => esc_html__( 'Show Pinterest Share Button', 'ranna' ),
            'on'       => esc_html__( 'On', 'ranna' ),
            'off'      => esc_html__( 'Off', 'ranna' ),
            'default'  => true,
        ),
        array(
            'id'       => 'post_share_reddit',
            'type'     => 'switch',
            'title'    => esc_html__( 'Show Reddit Share Button', 'ranna' ),
            'on'       => esc_html__( 'On', 'ranna' ),
            'off'      => esc_html__( 'Off', 'ranna' ),
            'default'  => true,
        ),
        array(
            'id'       => 'post_share_email',
            'type'     => 'switch',
            'title'    => esc_html__( 'Show Email Share Button', 'ranna' ),
            'on'       => esc_html__( 'On', 'ranna' ),
            'off'      => esc_html__( 'Off', 'ranna' ),
            'default'  => true,
        ),
        array(
            'id'       => 'post_share_print',
            'type'     => 'switch',
            'title'    => esc_html__( 'Show Print Share Button', 'ranna' ),
            'on'       => esc_html__( 'On', 'ranna' ),
            'off'      => esc_html__( 'Off', 'ranna' ),
            'default'  => true,
        ),
    ),
)
);

// Error
$ranna_fields2 = array(
    array(
        'id'       => 'error_title',
        'type'     => 'text',
        'title'    => esc_html__( 'Page Title', 'ranna' ),
        'default'  => esc_html__( 'Error 404', 'ranna' ),
    ),
    array(
        'id'       => 'error_bodybg',
        'type'     => 'color',
        'transparent' => false,
        'title'    => esc_html__( 'Body Background Color', 'ranna' ),
        'default'  => '#ffffff',
    ),
    array(
        'id'       => 'error_bodybanner',
        'type'     => 'media',
        'title'    => esc_html__( 'Body Banner', 'ranna' ),
        'default'  => array(
            'url'=> RANNA_IMG_URL . '404.png'
        ),
    ),
    array(
        'id'       => 'error_text1',
        'type'     => 'text',
        'title'    => esc_html__( 'Body Text 1', 'ranna' ),
        'default'  => esc_html__( 'Sorry! Page Was Not Found', 'ranna' ),
    ),
	array(
        'id'       => 'error_text2',
        'type'     => 'text',
        'title'    => esc_html__( 'Body Text 2', 'ranna' ),
        'default'  => esc_html__( 'The page you are looking is not available or has been removed. Try going to Home Page by using the button below.', 'ranna' ),
    ),
    array(
        'id'       => 'error_text1_color',
        'type'     => 'color',
        'transparent' => false,
        'title'    => esc_html__( 'Body Text 1 Color', 'ranna' ),
        'default'  => '#111111',
    ),
    array(
        'id'       => 'error_text2_color',
        'type'     => 'color',
        'transparent' => false,
        'title'    => esc_html__( 'Body Text 2 Color', 'ranna' ),
        'default'  => '#444444',
    ),
    array(
        'id'       => 'error_buttontext',
        'type'     => 'text',
        'title'    => esc_html__( 'Button Text', 'ranna' ),
        'default'  => esc_html__( 'GO TO HOME', 'ranna' ),
    )
);
Redux::setSection( $opt_name, array(
    'title'   => esc_html__( 'Error Page Settings', 'ranna' ),
    'id'      => 'error_srttings_section',
    'heading' => '',
    'icon'    => 'el el-error-alt',
    'fields'  => $ranna_fields2           
) 
);

if ( class_exists( 'WooCommerce' ) ) {
    // Woocommerce Settings
    Redux::setSection( $opt_name, array(
        'title'   => esc_html__( 'WooCommerce', 'ranna' ),
        'id'      => 'woo_Settings_section',
        'heading' => '',
        'icon'    => 'el el-shopping-cart',
        'fields'  => array(
            array(
                'id'       => 'wc_sec_general',
                'type'     => 'section',
                'title'    => esc_html__( 'General', 'ranna' ),
                'indent'   => true,
            ),
            array(
                'id'       => 'wc_num_product',
                'type'     => 'text',
                'title'    => esc_html__( 'Number of Products Per Page', 'ranna' ),
                'default'  => '9',
            ),
            array(
                'id'       => 'wc_num_product_shop_page',
                'type'     => 'text',
                'title'    => esc_html__( 'Number of Products on Shop Page', 'ranna' ),
                'default'  => '4',
            ),
            array(
                'id'       => 'wc_product_hover',
                'type'     => 'switch',
                'title'    => esc_html__( 'Product Hover Effect', 'ranna' ),
                'on'       => esc_html__( 'Enabled', 'ranna' ),
                'off'      => esc_html__( 'Disabled', 'ranna' ),
                'default'  => true,
            ),
            array(
                'id'       => 'wc_wishlist_icon',
                'type'     => 'switch',
                'title'    => esc_html__( 'Product Add to Wishlist Icon', 'ranna' ),
                'on'       => esc_html__( 'Enabled', 'ranna' ),
                'off'      => esc_html__( 'Disabled', 'ranna' ),
                'default'  => true,
                'required' => array( 'wc_product_hover', 'equals', true )
            ),
            array(
                'id'       => 'wc_quickview_icon',
                'type'     => 'switch',
                'title'    => esc_html__( 'Product Quickview Icon', 'ranna' ),
                'on'       => esc_html__( 'Enabled', 'ranna' ),
                'off'      => esc_html__( 'Disabled', 'ranna' ),
                'default'  => true,
                'required' => array( 'wc_product_hover', 'equals', true )
            ),
            array(
                'id'       => 'wc_sec_product',
                'type'     => 'section',
                'title'    => esc_html__( 'Product Single Page', 'ranna' ),
                'indent'   => true,
            ),
            array(
                'id'       => 'wc_show_excerpt',
                'type'     => 'switch',
                'title'    => esc_html__( "Show excerpt when short description doesn't exist", 'ranna' ),
                'on'       => esc_html__( 'Enabled', 'ranna' ),
                'off'      => esc_html__( 'Disabled', 'ranna' ),
                'default'  => true,
            ),
            array(
                'id'       => 'wc_cats',
                'type'     => 'switch',
                'title'    => esc_html__( 'Categories', 'ranna' ),
                'on'       => esc_html__( 'Show', 'ranna' ),
                'off'      => esc_html__( 'Hide', 'ranna' ),
                'default'  => true,
            ),
            array(
                'id'       => 'wc_tags',
                'type'     => 'switch',
                'title'    => esc_html__( 'Tags', 'ranna' ),
                'on'       => esc_html__( 'Show', 'ranna' ),
                'off'      => esc_html__( 'Hide', 'ranna' ),
                'default'  => true,
            ),
            array(
                'id'       => 'wc_related',
                'type'     => 'switch',
                'title'    => esc_html__( 'Related Products', 'ranna' ),
                'on'       => esc_html__( 'Show', 'ranna' ),
                'off'      => esc_html__( 'Hide', 'ranna' ),
                'default'  => true,
            ),
            array(
                'id'       => 'wc_description',
                'type'     => 'switch',
                'title'    => esc_html__( 'Description Tab', 'ranna' ),
                'on'       => esc_html__( 'Show', 'ranna' ),
                'off'      => esc_html__( 'Hide', 'ranna' ),
                'default'  => true,
            ),
            array(
                'id'       => 'wc_reviews',
                'type'     => 'switch',
                'title'    => esc_html__( 'Reviews Tab', 'ranna' ),
                'on'       => esc_html__( 'Show', 'ranna' ),
                'off'      => esc_html__( 'Hide', 'ranna' ),
                'default'  => true,
            ),
            array(
                'id'       => 'wc_additional_info',
                'type'     => 'switch',
                'title'    => esc_html__( 'Additional Information Tab', 'ranna' ),
                'on'       => esc_html__( 'Show', 'ranna' ),
                'off'      => esc_html__( 'Hide', 'ranna' ),
                'default'  => true,
            ),
            array(
                'id'       => 'wc_sec_cart',
                'type'     => 'section',
                'title'    => esc_html__( 'Cart Page', 'ranna' ),
                'indent'   => true,
            ),
            array(
                'id'       => 'wc_cross_sell',
                'type'     => 'switch',
                'title'    => esc_html__( 'Cross Sell Products', 'ranna' ),
                'on'       => esc_html__( 'Show', 'ranna' ),
                'off'      => esc_html__( 'Hide', 'ranna' ),
                'default'  => true,
            ),
        )
	) 
);
}

// -> END Fields
