<?php
/**
 * @author  RadiusTheme
 * @since   1.0
 * @version 1.0
 */

use Elementor\Plugin; 

add_action( 'wp_enqueue_scripts', 'ranna_register_scripts', 12 );
if ( !function_exists( 'ranna_register_scripts' ) ) {
	function ranna_register_scripts(){
		/*CSS*/
		// owl.carousel CSS
		wp_register_style( 'owl-carousel',       RANNA_CSS_URL . 'owl.carousel.min.css', array(), RANNA_VERSION );
		wp_register_style( 'owl-theme-default',  RANNA_CSS_URL . 'owl.theme.default.min.css', array(), RANNA_VERSION );		
		wp_register_style( 'magnific-popup',     RANNA_CSS_URL . 'magnific-popup.css', array(), RANNA_VERSION );
		// Slider
		wp_register_style( 'nivo-slider',        RANNA_CSS_URL . 'nivo-slider.min.css', array(), RANNA_VERSION );
		// Swiper CSS
		wp_register_style( 'swiper-slider',      RANNA_CSS_URL . 'swiper.min.css', array(), RANNA_VERSION );
		wp_register_style( 'multiscroll',        RANNA_CSS_URL . 'jquery.multiscroll.min.css', array(), RANNA_VERSION );
		wp_register_style( 'animate',        	 RANNA_CSS_URL . 'animate.min.css', array(), RANNA_VERSION );
		
		/*JS*/
		// owl.carousel.min js
		wp_register_script( 'owl-carousel',      RANNA_JS_URL . 'owl.carousel.min.js', array( 'jquery' ), RANNA_VERSION, true );
		// Slider
		wp_register_script( 'nivo-slider',       RANNA_JS_URL . 'jquery.nivo.slider.min.js', array( 'jquery' ), RANNA_VERSION, true );
		
		// Slick js
		wp_register_script( 'imagesloaded',      RANNA_JS_URL . 'imagesloaded.pkgd.min.js', array( 'jquery' ), RANNA_VERSION, true );
				
		// magnific popup
		wp_register_script( 'magnific-popup',    RANNA_JS_URL . 'jquery.magnific-popup.min.js', array( 'jquery' ), RANNA_VERSION, true );
		// rt-canvas-menu
		wp_register_style( 'rt-canvas-menu',     RANNA_CSS_URL . 'rt-canvas-menu.css', '', RANNA_VERSION );
		wp_register_script( 'rt-canvas-menu',    RANNA_JS_URL . 'rt-canvas-menu.js', array( 'jquery' ), RANNA_VERSION, true );
		// theia sticky
		wp_register_script( 'theia-sticky',    	 RANNA_JS_URL . 'theia-sticky-sidebar.min.js', array( 'jquery' ), RANNA_VERSION, true );
		// Swiper Slider
		wp_register_script( 'swiper-slider',     RANNA_JS_URL . 'swiper.min.js', array( 'jquery' ), RANNA_VERSION, true );
		wp_register_script( 'isotope-pkgd',      RANNA_JS_URL . 'isotope.pkgd.min.js', array( 'jquery' ), RANNA_VERSION, true );		
	}
}

add_action( 'wp_enqueue_scripts', 'ranna_enqueue_scripts', 15 );
if ( !function_exists( 'ranna_enqueue_scripts' ) ) {
	function ranna_enqueue_scripts() {
		$dep = array( 'jquery' );
		/*CSS*/
		// Google fonts
		wp_enqueue_style( 'ranna-gfonts', 		RannaTheme_Helper::fonts_url(), array(), RANNA_VERSION );
		// Bootstrap CSS  //@rtl
		wp_enqueue_style( 'bootstrap', 			RANNA_CSS_URL . 'bootstrap.min.css', array(), RANNA_VERSION );
		
		// Flaticon CSS
		wp_enqueue_style( 'flaticon-ranna',     RANNA_ASSETS_URL . 'fonts/flaticon-ranna/flaticon.css', array(), RANNA_VERSION );
		
		elementor_scripts();
		wp_dequeue_style( 'fontawesome-css' );
		wp_enqueue_style( 'nivo-slider' );
		//Video popup
		wp_enqueue_style( 'magnific-popup' );
		// font-awesome CSS
		wp_enqueue_style( 'font-awesome',       RANNA_CSS_URL . 'font-awesome.min.css', array(), RANNA_VERSION );	
		// Select 2 CSS
		wp_enqueue_style( 'select2',            RANNA_CSS_URL . 'select2.min.css', array(), RANNA_VERSION );		
		// Meanmenu CSS // @rtl
		wp_enqueue_style( 'meanmenu',     		 RANNA_CSS_URL . 'meanmenu.css', array(), RANNA_VERSION );
		// main CSS // @rtl
		wp_enqueue_style( 'ranna-default',    	 RANNA_CSS_URL . 'default.css', array(), RANNA_VERSION );
		// vc modules css
		wp_enqueue_style( 'ranna-elementor',     RANNA_CSS_URL . 'elementor.css', array(), RANNA_VERSION );
			
		// Style CSS
		wp_enqueue_style( 'ranna-style',     	 RANNA_CSS_URL . 'style.css', array(), RANNA_VERSION );
		
		// Template Style
		wp_add_inline_style( 'ranna-style',   	ranna_template_style() );

		/*JS*/
		wp_enqueue_script( 'isotope-pkgd' );
		// bootstrap js
		wp_enqueue_script( 'popper',            RANNA_JS_URL . 'popper.js', array( 'jquery' ), RANNA_VERSION, true );
		// bootstrap js
		wp_enqueue_script( 'bootstrap',         RANNA_JS_URL . 'bootstrap.min.js', array( 'jquery' ), RANNA_VERSION, true );
		
		// Comments
		if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
			wp_enqueue_script( 'comment-reply' );
		}
		// Select2 js
		wp_enqueue_script( 'select2', RANNA_JS_URL . 'select2.min.js', array( 'jquery' ), RANNA_VERSION, true );
		// Meanmenu js
		wp_enqueue_script( 'jquery-meanmenu', 	RANNA_JS_URL . 'jquery.meanmenu.min.js', array( 'jquery' ), RANNA_VERSION, true );		
		// Nav smooth scroll
		wp_enqueue_script( 'jquery-nav',      	RANNA_JS_URL . 'jquery.nav.min.js', array( 'jquery' ), RANNA_VERSION, true );
		// Countdown
		wp_enqueue_script( 'countdown',      	RANNA_JS_URL . 'jquery.countdown.min.js', array( 'jquery' ), RANNA_VERSION, true );
		// Cookie js
		wp_enqueue_script( 'cookie',       		RANNA_JS_URL . 'js.cookie.min.js', array( 'jquery' ), RANNA_VERSION, true );
		wp_enqueue_script( 'nivo-slider' );
		wp_enqueue_script( 'rt-canvas-menu' );
		wp_enqueue_style( 'rt-canvas-menu' );
		wp_enqueue_script( 'theia-sticky' );
		
		if ( is_singular() ) {
			wp_enqueue_style( 'swiper-slider' );
			wp_enqueue_script( 'swiper-slider' );
		}
		
		//if ( is_singular( 'ranna_recipe' ) ) {			
			wp_enqueue_style(  'owl-carousel' );
			wp_enqueue_style(  'owl-theme-default' );
			wp_enqueue_script( 'owl-carousel' );
		//}
		
		wp_enqueue_script( 'masonry' );
		wp_enqueue_script( 'ranna-main',    	RANNA_JS_URL . 'main.js', $dep , RANNA_VERSION, true );
		
		$logo = '<img class="logo-small" src="'. esc_url( empty( RannaTheme::$options['logo']['url'] ) ? RANNA_IMG_URL . 'logo.png' : RannaTheme::$options['logo']['url'] ).'" />';
		
		// localize script
		$ranna_localize_data = array(
			'stickyMenu' 	=> RannaTheme::$options['sticky_menu'],
			'meanWidth'  	=> RannaTheme::$options['resmenu_width'],
			'siteLogo'   	=> '<a href="' . esc_url( home_url( '/' ) ) . '" alt="' . esc_attr( get_bloginfo( 'title' ) ) . '">' . esc_html ( $logo ) . '</a>',
			'day'	     => esc_html__('Day' , 'ranna'),
			'hour'	     => esc_html__('Hour' , 'ranna'),
			'minute'     => esc_html__('Minute' , 'ranna'),
			'second'     => esc_html__('Second' , 'ranna'),
			'extraOffset' => RannaTheme::$options['sticky_menu'] ? 70 : 0,
			'extraOffsetMobile' => RannaTheme::$options['sticky_menu'] ? 52 : 0,
			
			// Ajax
			'ajaxURL' => admin_url('admin-ajax.php'),
			'nonce' => wp_create_nonce( 'ranna-nonce' )
		);
		wp_localize_script( 'ranna-main', 'ThemeObj', $ranna_localize_data );
	}	
}

function elementor_scripts() {
	
	if ( !did_action( 'elementor/loaded' ) ) {
		return;
	}
	
	if ( \Elementor\Plugin::$instance->preview->is_preview_mode() ) {
		 // do stuff for preview
		wp_enqueue_style(  'owl-carousel' );
		wp_enqueue_style(  'owl-theme-default' );
		wp_enqueue_style( 'nivo-slider' );
		wp_enqueue_script( 'nivo-slider' );
		wp_enqueue_script( 'owl-carousel' );
	} 
}

add_action( 'wp_enqueue_scripts', 'ranna_high_priority_scripts', 1500 );
if ( !function_exists( 'ranna_high_priority_scripts' ) ) {
	function ranna_high_priority_scripts() {
		// Dynamic style
		RannaTheme_Helper::dynamic_internal_style();
	}
}

function ranna_template_style(){
	ob_start();
	?>
	.entry-banner {
		<?php if ( RannaTheme::$bgtype == 'bgcolor' ): ?>
			background-color: <?php echo esc_html( RannaTheme::$bgcolor );?>;
		<?php else: ?>
			background: url(<?php echo esc_url( RannaTheme::$bgimg );?>) no-repeat scroll center center / cover;
		<?php endif; ?>
	}
	.content-area {
		padding-top: <?php echo esc_html( RannaTheme::$padding_top );?>px; 
		padding-bottom: <?php echo esc_html( RannaTheme::$padding_bottom );?>px;
	}
	/*#page*/
	body {
		background-image: url( <?php echo RannaTheme::$pagebgimg; ?> );
		background-color: <?php echo RannaTheme::$pagebgcolor; ?>;
		background-repeat: <?php echo RannaTheme::$page_bgimg_type; ?>;
	}
	<?php
	return ob_get_clean();
}

function load_custom_wp_admin_script_1() {
	wp_enqueue_style( 'ranna-gfonts', RannaTheme_Helper::fonts_url(), array(), RANNA_VERSION );
	// font-awesome CSS
	wp_enqueue_style( 'font-awesome',       RANNA_CSS_URL . 'font-awesome.min.css', array(), RANNA_VERSION );
}
add_action( 'admin_enqueue_scripts', 'load_custom_wp_admin_script_1', 1 );

function load_custom_wp_admin_script() {
	if( null !== ( $screen = get_current_screen() ) && 'edit-category' !== $screen->id ) {
        return;
    }
	wp_register_script( 'ranna-admin-js', RANNA_JS_URL . 'rt-widget-color.js', false, RANNA_VERSION, true );
	wp_register_style( 'ranna-admin-css', RANNA_CSS_URL . 'admin-style.css', false, RANNA_VERSION, true );
	wp_enqueue_style( 'ranna-admin-css' );
	wp_enqueue_script( 'ranna-admin-js' );
}
add_action( 'admin_enqueue_scripts', 'load_custom_wp_admin_script', 20 );