<?php
/**
 * @author  RadiusTheme
 * @since   1.0
 * @version 1.0
 */

add_action( 'template_redirect', 'ranna_template_vars' );
if( !function_exists( 'ranna_template_vars' ) ) {
    function ranna_template_vars() {
        // Single Pages
        if( is_single() || is_page() ) {
            $post_type = get_post_type();
            $post_id   = get_the_id();
            switch( $post_type ) {
                case 'page':
                $prefix = 'page';
                break;
                case 'post':
                $prefix = 'single_post';
                break;
				case 'ranna_recipe':
                $prefix = 'recipe';
                break;				
                case 'product':
                $prefix = 'product';
                break;
                default:
                $prefix = 'single_post';
                break;
            }
            
			$layout_settings = get_post_meta( $post_id, 'ranna_layout_settings', true );
			
            RannaTheme::$layout = ( empty( $layout_settings['ranna_layout'] ) || $layout_settings['ranna_layout'] == 'default' ) ? RannaTheme::$options[$prefix . '_layout'] : $layout_settings['ranna_layout'];

			RannaTheme::$sidebar = ( empty( $layout_settings['ranna_sidebar'] ) || $layout_settings['ranna_sidebar'] == 'default' ) ? RannaTheme::$options[$prefix . '_sidebar'] : $layout_settings['ranna_sidebar'];
            
			RannaTheme::$tr_header = ( empty( $layout_settings['ranna_tr_header'] ) || $layout_settings['ranna_tr_header'] == 'default' ) ? RannaTheme::$options['tr_header'] : $layout_settings['ranna_tr_header'];
            
            RannaTheme::$top_bar = ( empty( $layout_settings['ranna_top_bar'] ) || $layout_settings['ranna_top_bar'] == 'default' ) ? RannaTheme::$options['top_bar'] : $layout_settings['ranna_top_bar'];
            
            RannaTheme::$top_bar_style = ( empty( $layout_settings['ranna_top_bar_style'] ) || $layout_settings['ranna_top_bar_style'] == 'default' ) ? RannaTheme::$options['top_bar_style'] : $layout_settings['ranna_top_bar_style'];
			
			RannaTheme::$header_opt = ( empty( $layout_settings['ranna_header_opt'] ) || $layout_settings['ranna_header_opt'] == 'default' ) ? RannaTheme::$options['header_opt'] : $layout_settings['ranna_header_opt'];
            
            RannaTheme::$header_style = ( empty( $layout_settings['ranna_header'] ) || $layout_settings['ranna_header'] == 'default' ) ? RannaTheme::$options['header_style'] : $layout_settings['ranna_header'];
			
            RannaTheme::$footer_style = ( empty( $layout_settings['ranna_footer'] ) || $layout_settings['ranna_footer'] == 'default' ) ? RannaTheme::$options['footer_style'] : $layout_settings['ranna_footer'];
			
			RannaTheme::$footer_area = ( empty( $layout_settings['ranna_footer_area'] ) || $layout_settings['ranna_footer_area'] == 'default' ) ? RannaTheme::$options['footer_area'] : $layout_settings['ranna_footer_area'];
			
			RannaTheme::$copyright_area = ( empty( $layout_settings['ranna_copyright_area'] ) || $layout_settings['ranna_copyright_area'] == 'default' ) ? RannaTheme::$options['copyright_area'] : $layout_settings['ranna_copyright_area'];
            
            $padding_top = ( empty( $layout_settings['ranna_top_padding'] ) || $layout_settings['ranna_top_padding'] == 'default' ) ? RannaTheme::$options[$prefix . '_padding_top'] : $layout_settings['ranna_top_padding'];
			
            RannaTheme::$padding_top = (int) $padding_top;
            
            $padding_bottom = ( empty( $layout_settings['ranna_bottom_padding'] ) || $layout_settings['ranna_bottom_padding'] == 'default' ) ? RannaTheme::$options[$prefix . '_padding_bottom'] : $layout_settings['ranna_bottom_padding'];
			
            RannaTheme::$padding_bottom = (int) $padding_bottom;
			
            RannaTheme::$has_banner = ( empty( $layout_settings['ranna_banner'] ) || $layout_settings['ranna_banner'] == 'default' ) ? RannaTheme::$options[$prefix . '_banner'] : $layout_settings['ranna_banner'];
            
            RannaTheme::$has_breadcrumb = ( empty( $layout_settings['ranna_breadcrumb'] ) || $layout_settings['ranna_breadcrumb'] == 'default' ) ? RannaTheme::$options[$prefix . '_breadcrumb'] : $layout_settings['ranna_breadcrumb'];
            
            RannaTheme::$bgtype = ( empty( $layout_settings['ranna_banner_type'] ) || $layout_settings['ranna_banner_type'] == 'default' ) ? RannaTheme::$options[$prefix . '_bgtype'] : $layout_settings['ranna_banner_type'];
            
            RannaTheme::$bgcolor = empty( $layout_settings['ranna_banner_bgcolor'] ) ? RannaTheme::$options[$prefix . '_bgcolor'] : $layout_settings['ranna_banner_bgcolor'];
			
            RannaTheme::$footer_bgcolor = empty( $layout_settings['ranna_footer_bgcolor'] ) ? RannaTheme::$options[$prefix . '_footer_bgcolor'] : $layout_settings['ranna_footer_bgcolor'];
			
            RannaTheme::$footer_text_color = empty( $layout_settings['ranna_footer_text_color'] ) ? RannaTheme::$options[$prefix . '_footer_text_color'] : $layout_settings['ranna_footer_text_color'];
			
            RannaTheme::$page_bgimg_type = empty( $layout_settings['ranna_page_bgimg_type'] ) ? RannaTheme::$options[$prefix . '_page_bgimg_type'] : $layout_settings['ranna_page_bgimg_type'];
            
            if( !empty( $layout_settings['ranna_banner_bgimg'] ) ) {
                $attch_url      = wp_get_attachment_image_src( $layout_settings['ranna_banner_bgimg'], 'full', true );
                RannaTheme::$bgimg = $attch_url[0];
            } elseif( !empty( RannaTheme::$options[$prefix . '_bgimg']['id'] ) ) {
                $attch_url      = wp_get_attachment_image_src( RannaTheme::$options[$prefix . '_bgimg']['id'], 'full', true );
                RannaTheme::$bgimg = $attch_url[0];
            } else {
                RannaTheme::$bgimg = RANNA_IMG_URL . 'banner.jpg';
            }
			
            RannaTheme::$pagebgcolor = empty( $layout_settings['ranna_page_bgcolor'] ) ? RannaTheme::$options[$prefix . '_page_bgcolor'] : $layout_settings['ranna_page_bgcolor'];			
            
            if( !empty( $layout_settings['ranna_page_bgimg'] ) ) {
                $attch_url      = wp_get_attachment_image_src( $layout_settings['ranna_page_bgimg'], 'full', true );
                RannaTheme::$pagebgimg = $attch_url[0];
            } elseif( !empty( RannaTheme::$options[$prefix . '_bgimg']['id'] ) ) {
                $attch_url      = wp_get_attachment_image_src( RannaTheme::$options[$prefix . '_page_bgimg']['id'], 'full', true );
                RannaTheme::$pagebgimg = $attch_url[0];
            }
        }
        
        // Blog and Archive
        elseif( is_home() || is_archive() || is_search() || is_404() ) {
            if( is_search() ) {
                $prefix = 'search';
            } else if( is_404() ) {
                $prefix = 'error';
                RannaTheme::$options[$prefix . '_layout'] = 'full-width';
            } else if( function_exists( 'is_woocommerce' ) && is_woocommerce() ) {
                $prefix = 'shop';
            } else {
                $prefix = 'blog';
            }
            
            RannaTheme::$layout         	= RannaTheme::$options[$prefix . '_layout'];
            RannaTheme::$tr_header      	= RannaTheme::$options['tr_header'];
            RannaTheme::$top_bar        	= RannaTheme::$options['top_bar'];
            RannaTheme::$header_opt         = RannaTheme::$options['header_opt'];
            RannaTheme::$footer_area        = RannaTheme::$options['footer_area'];
            RannaTheme::$top_bar_style  	= RannaTheme::$options['top_bar_style'];
            RannaTheme::$header_style   	= RannaTheme::$options['header_style'];
            RannaTheme::$footer_style   	= RannaTheme::$options['footer_style'];
            RannaTheme::$padding_top    	= RannaTheme::$options[$prefix . '_padding_top'];
            RannaTheme::$padding_bottom 	= RannaTheme::$options[$prefix . '_padding_bottom'];
            RannaTheme::$has_banner     	= RannaTheme::$options[$prefix . '_banner'];
            RannaTheme::$has_breadcrumb 	= RannaTheme::$options[$prefix . '_breadcrumb'];
            RannaTheme::$bgtype         	= RannaTheme::$options[$prefix . '_bgtype'];
            RannaTheme::$bgcolor        	= RannaTheme::$options[$prefix . '_bgcolor'];
            RannaTheme::$footer_bgcolor     = RannaTheme::$options[$prefix . '_footer_bgcolor'];
            RannaTheme::$footer_text_color  = RannaTheme::$options[$prefix . '_footer_text_color'];
            RannaTheme::$page_bgimg_type    = RannaTheme::$options[$prefix . '_page_bgimg_type'];
            RannaTheme::$copyright_area     = RannaTheme::$options['copyright_area'];
			
            if( !empty( RannaTheme::$options[$prefix . '_bgimg']['id'] ) ) {
                $attch_url      = wp_get_attachment_image_src( RannaTheme::$options[$prefix . '_bgimg']['id'], 'full', true );
                RannaTheme::$bgimg = $attch_url[0];
            } else {
                RannaTheme::$bgimg = RANNA_IMG_URL . 'banner.jpg';
            }
			
            RannaTheme::$pagebgcolor = RannaTheme::$options[$prefix . '_page_bgcolor'];
			
            if( !empty( RannaTheme::$options[$prefix . '_page_bgimg']['id'] ) ) {
                $attch_url = wp_get_attachment_image_src( RannaTheme::$options[$prefix . '_page_bgimg']['id'], 'full', true );
                RannaTheme::$pagebgimg = $attch_url[0];
            }
        }
    }
}

// Add body class
add_filter( 'body_class', 'ranna_body_classes' );
if( !function_exists( 'ranna_body_classes' ) ) {
    function ranna_body_classes( $classes ) {
        
        $classes[] = 'header-style-'. RannaTheme::$header_style;
        $classes[] = 'footer-style-'. RannaTheme::$footer_style;

        if ( RannaTheme::$top_bar == 1 || RannaTheme::$top_bar == 'on' ){
            $classes[] = 'has-topbar topbar-style-'. RannaTheme::$top_bar_style;
        }
        if ( RannaTheme::$tr_header == 1 || RannaTheme::$tr_header == 'on' ){
           $classes[] = 'trheader';
        }        
		if ( RannaTheme::$has_banner == '0' || RannaTheme::$has_banner == 'off' ) {
			$classes[] = 'no-banner';
		}		
        $classes[] = ( RannaTheme::$layout == 'full-width' ) ? 'no-sidebar' : 'has-sidebar';
		
		$classes[] = ( RannaTheme::$layout == 'left-sidebar' ) ? 'left-sidebar' : 'right-sidebar';
        
        if( isset( $_COOKIE["shopview"] ) && $_COOKIE["shopview"] == 'list' ) {
            $classes[] = 'product-list-view';
        } else {
            $classes[] = 'product-grid-view';
        }
		if ( is_singular('post') ) {
			$classes[] =  ' post-detail-' . RannaTheme::$options['post_style'];
        }
		
		if ( is_singular('ranna_recipe') ) {
			$classes[] =  'single-recipe-layout-' . RannaTheme::$options['recipe_style'];
        }
        return $classes;
    }
}