<?php
/**
 * @author  RadiusTheme
 * @since   1.0
 * @version 1.0
 */
if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

// Layout class
if ( RannaTheme::$layout == 'full-width' ) {
	$ranna_layout_class = 'col-sm-12 col-12';
}
else{
	$ranna_layout_class = RannaTheme_Helper::has_active_widget();
}
get_header(); ?>
<div id="primary" class="content-area">
	<div class="container">
		<div class="row gutters-60">
			<?php
			if ( RannaTheme::$layout == 'left-sidebar' ) {
				get_sidebar();
			}
			?>
			<div class="<?php echo esc_attr( $ranna_layout_class );?>">			
				<main id="main" class="site-main">				
					<?php if ( have_posts() ) :?>
						<div class="rt-masonry-grid rt-search-post">
							<?php while ( have_posts() ) : the_post();
								$excerpt_length = RannaTheme::$options['search_excerpt_length'];
								get_template_part( 'template-parts/content-search', 'search' );
							?>
							<?php endwhile; ?>
						</div>
					<?php else:?>
					<div class="rt-search-post">
						<?php get_template_part( 'template-parts/content', 'none' );?>
					</div>
					<?php endif;?>
				
				<?php RannaTheme_Helper::pagination();?>
				</main>
			</div>
		<?php
		if ( RannaTheme::$layout == 'right-sidebar' ) {
			get_sidebar();
		}
		?>
		</div>
	</div>
</div>
<?php get_footer(); ?>