<?php
/**
 * @author  RadiusTheme
 * @since   1.0
 * @version 1.0
 */

$ranna_has_entry_meta  = ( ( !has_post_thumbnail() && RannaTheme::$options['blog_date'] ) || RannaTheme::$options['blog_author_name'] || RannaTheme::$options['blog_comment_num'] || RannaTheme::$options['blog_cats'] ) ? true : false;

$ranna_has_entry_meta2  = ( RannaTheme::$options['blog_author_name'] || RannaTheme::$options['blog_date'] || RannaTheme::$options['blog_cats'] ) ? true : false;

$thumb_size = 'ranna-size14';
$ranna_comments_number = number_format_i18n( get_comments_number() );
$ranna_comments_html = $ranna_comments_number < 2 ? esc_html__( 'Comment' , 'ranna' ) : esc_html__( 'Comments' , 'ranna' );
$ranna_comments_html = '('. $ranna_comments_number . ') ' . $ranna_comments_html;

$thumbnail = false;
$post_image = '';
$post_layout_class = '';
if ( ( !has_post_thumbnail() ) && RannaTheme::$options['display_no_preview_image'] == '0' ) {
	$post_layout_class = 'col-lg-12 col-md-12';	
} else {
	$post_layout_class = 'col-lg-7 col-md-12';	
}
if ( RannaTheme::$layout != 'full-width' ) {	
	$post_image = 'col-lg-5 col-md-12 col-sm-12 col-12';	
} else {
	$post_image = 'col-lg-5 col-md-5 col-sm-4 col-12';
}
$id = get_the_ID();
$content = get_the_content();
$content = apply_filters( 'the_content', $content );
$content = wp_trim_words( $content, RannaTheme::$options['post_content_limit'], '' );
?>
<div id="post-<?php the_ID(); ?>" <?php post_class( 'row entry-header blog-layout-2' ); ?>>
	<?php if ( has_post_thumbnail() || RannaTheme::$options['display_no_preview_image'] == '1'  ) { ?>
		<div class="<?php echo esc_attr( $post_image ); ?>">
			<div class="blog-img-holder">
				<a href="<?php the_permalink(); ?>" class="img-opacity-hover"><?php if ( has_post_thumbnail() ) { ?>
					<?php the_post_thumbnail( $thumb_size, ['class' => 'img-responsive'] ); ?>
					<?php } else {
					if ( RannaTheme::$options['display_no_preview_image'] == '1' ) {
						if ( !empty( RannaTheme::$options['no_preview_image']['id'] ) ) {
							$thumbnail = wp_get_attachment_image( RannaTheme::$options['no_preview_image']['id'], $thumb_size );						
						}
						elseif ( empty( RannaTheme::$options['no_preview_image']['id'] ) ) {
							$thumbnail = '<img class="wp-post-image" src="'.RANNA_IMG_URL.'noimage_610X430.jpg" alt="'. the_title_attribute( array( 'echo'=> false ) ) .'">';
						}
						echo wp_kses( $thumbnail , 'alltext_allow' );				
					}
				}
				?></a>
			</div>
		</div>
	<?php } ?>
	<div class="<?php echo esc_attr( $post_layout_class ); ?>">
		<div class="entry-content">
			<?php if ( $ranna_has_entry_meta2 ) { ?>
			<div class="entry-meta">
				<ul>
					<?php if ( RannaTheme::$options['blog_author_name'] ) { ?>
					<li><i class="fa fa-user" aria-hidden="true"></i><?php the_author_posts_link(); ?></li>
					<?php } if ( RannaTheme::$options['blog_date'] ) { ?>
					<li><i class="fa fa-calendar-o" aria-hidden="true"></i><?php echo get_the_date(); ?></li>
					<?php } if ( RannaTheme::$options['blog_cats'] ) { ?>			
					<li class="blog-cat"><i class="fa fa-tag" aria-hidden="true"></i><?php echo the_category( ', ' );?></li>
					<?php } if ( RannaTheme::$options['blog_length'] && function_exists( 'ranna_reading_time' ) ) { ?>
					<li class="meta-reading-time meta-item"> <?php echo ranna_reading_time(); ?></li>
					<?php } if ( RannaTheme::$options['blog_view'] && function_exists( 'ranna_views' ) ) { ?>
					<li><span class="meta-views meta-item "><?php echo ranna_views(); ?></span></li>
					<?php } if ( RannaTheme::$options['blog_comment_num'] ) { ?>
					<li><i class="fa fa-comment-o" aria-hidden="true"></i><a href="<?php echo get_comments_link( get_the_ID() ); ?>"><?php echo esc_html( $ranna_comments_number );?></a></li>
					<?php } ?>
				</ul>
			</div>
			<?php } ?>
			<h3><a href="<?php the_permalink();?>"><?php the_title();?></a></h3>
			<div class="blog-text"><p><?php echo wp_kses( $content , 'alltext_allow' ); ?></p></div>
			<a class="blog-post-button" href="<?php the_permalink(); ?>"><span><?php esc_html_e( 'Continue Reading', 'ranna' ); ?></span><?php if ( is_rtl() ) { ?><i class="flaticon-back"></i><?php } else { ?><i class="flaticon-next"></i><?php } ?></a>
		</div>
	</div>	
</div>