<?php
/**
 * @author  RadiusTheme
 * @since   1.0
 * @version 1.0
 */
$ul_class = $post_classes = '';

$ranna_has_entry_meta  = ( ( !has_post_thumbnail() && RannaTheme::$options['blog_date'] ) || RannaTheme::$options['blog_author_name'] || RannaTheme::$options['blog_comment_num'] || RannaTheme::$options['blog_cats'] ) ? true : false;

$ranna_has_entry_meta2  = ( RannaTheme::$options['blog_author_name'] || RannaTheme::$options['blog_date'] || RannaTheme::$options['blog_cats'] ) ? true : false;

$ranna_time_html       = sprintf( '%s <span>%s</span>,<span> %s</span>',get_the_time( 'M' ), get_the_time( 'd' ), get_the_time( 'Y' ) );
$ranna_time_html       = apply_filters( 'ranna_single_time', $ranna_time_html );
$ranna_time_html_2     = apply_filters( 'ranna_single_time_no_thumb', get_the_time( get_option( 'date_format' ) ) );

$ranna_comments_number = number_format_i18n( get_comments_number() );

$thumbnail = false;

$thumb_size = 'ranna-size14';

if (  RannaTheme::$layout == 'right-sidebar' || RannaTheme::$layout == 'right-sidebar' ){
	$post_classes = array( 'col-12 blog-layout-4' );
	$ul_class = 'side_bar';
} else {
	$post_classes = array( 'col-12 blog-layout-4' );
	$ul_class = '';
}
$id = get_the_ID();
$content = get_the_content();
$content = apply_filters( 'the_content', $content );
$content = wp_trim_words( $content, RannaTheme::$options['post_content_limit'], '' );	
?>
<div id="post-<?php the_ID(); ?>" <?php post_class( $post_classes ); ?>>
	<div class="blog-box">
		<div class="row no-gutters">
			<?php if ( $i % 2 == 1 ) { ?>
			<div class="col-lg-6 entry-content order2">
				<div class="inner-content">
				<?php if ( $ranna_has_entry_meta2 ) { ?>
				<ul>
					<?php if ( RannaTheme::$options['blog_author_name'] ) { ?>
					<li><i class="fa fa-user" aria-hidden="true"></i><?php the_author_posts_link(); ?></li>
					<?php } if ( RannaTheme::$options['blog_date'] ) { ?>
					<li><i class="fa fa-calendar-o" aria-hidden="true"></i><?php echo get_the_date(); ?></li>
					<?php } if ( RannaTheme::$options['blog_cats'] ) { ?>			
					<li class="blog-cat"><i class="fa fa-tag" aria-hidden="true"></i><?php echo the_category( ', ' );?></li>
					<?php } if ( RannaTheme::$options['blog_length'] && function_exists( 'ranna_reading_time' ) ) { ?>
					<li class="meta-reading-time meta-item"> <?php echo ranna_reading_time(); ?></li>
					<?php } ?>
				</ul>
				<?php } ?>
				<h3><a href="<?php the_permalink();?>"><?php the_title();?></a></h3>
				<div class="blog-text"><p><?php echo wp_kses( $content , 'alltext_allow' ); ?></p></div>
				<?php if ( RannaTheme::$options['blog_view'] && function_exists( 'ranna_views' ) || RannaTheme::$options['blog_comment_num']) { ?>
				<div class="comm-views">
					<ul>
						<?php if ( RannaTheme::$options['blog_view'] && function_exists( 'ranna_views' ) ) { ?>
						<li><span class="meta-views meta-item "><?php echo ranna_views(); ?></span></li>
						<?php } if ( RannaTheme::$options['blog_comment_num'] ) { ?>
						<li><i class="fa fa-comment-o" aria-hidden="true"></i><a href="<?php echo get_comments_link( get_the_ID() ); ?>"><?php echo esc_html( $ranna_comments_number );?></a></li>
						<?php } ?>
					</ul>
				</div>
				<?php } ?>
				<a class="blog-post-button" href="<?php the_permalink(); ?>"><span><?php esc_html_e( 'Continue Reading', 'ranna' ); ?></span><?php if ( is_rtl() ) { ?><i class="flaticon-back"></i><?php } else { ?><i class="flaticon-next"></i><?php } ?></a>
				</div>
			</div>
			<?php } ?>
			
			<?php if ( has_post_thumbnail() || RannaTheme::$options['display_no_preview_image'] == '1'  ) { ?>
			<div class="col-lg-6 entry-image">
				<div class="entry-thumbnail-area">
				<a href="<?php the_permalink(); ?>" class="img-opacity-hover"><?php if ( has_post_thumbnail() ) { ?>
					<?php the_post_thumbnail( $thumb_size, ['class' => 'img-responsive'] ); ?>
						<?php } else {
						if ( RannaTheme::$options['display_no_preview_image'] == '1' ) {
							if ( !empty( RannaTheme::$options['no_preview_image']['id'] ) ) {
								$thumbnail = wp_get_attachment_image( RannaTheme::$options['no_preview_image']['id'], $thumb_size );						
							}
							elseif ( empty( RannaTheme::$options['no_preview_image']['id'] ) ) {
								$thumbnail = '<img class="wp-post-image" src="'.RANNA_IMG_URL.'noimage_450X330.jpg" alt="'. the_title_attribute( array( 'echo'=> false ) ) .'">';
							}
							echo wp_kses( $thumbnail , 'alltext_allow' );				
						}
					}
					?>
				</a>
				</div>
			</div>
			<?php } ?>
		
			
			<?php if ( $i % 2 == 0 ) { ?>
			<div class="col-lg-6 entry-content order2">
				<div class="inner-content">
				<?php if ( $ranna_has_entry_meta2 ) { ?>
				<ul>
					<?php if ( RannaTheme::$options['blog_author_name'] ) { ?>
					<li><i class="fa fa-user" aria-hidden="true"></i><?php the_author_posts_link(); ?></li>
					<?php } if ( RannaTheme::$options['blog_date'] ) { ?>
					<li><i class="fa fa-calendar-o" aria-hidden="true"></i><?php echo get_the_date(); ?></li>
					<?php } if ( RannaTheme::$options['blog_cats'] ) { ?>			
					<li class="blog-cat"><i class="fa fa-tag" aria-hidden="true"></i><?php echo the_category( ', ' );?></li>
					<?php } if ( RannaTheme::$options['blog_length'] && function_exists( 'ranna_reading_time' ) ) { ?>
					<li class="meta-reading-time meta-item"> <?php echo ranna_reading_time(); ?></li>
					<?php } ?>
				</ul>
				<?php } ?>
				<h3><a href="<?php the_permalink();?>"><?php the_title();?></a></h3>
				<div class="blog-text"><p><?php echo wp_kses( $content , 'alltext_allow' ); ?></p></div>
				<?php if ( RannaTheme::$options['blog_view'] && function_exists( 'ranna_views' ) || RannaTheme::$options['blog_comment_num']) { ?>
				<div class="comm-views">
					<ul>
						<?php if ( RannaTheme::$options['blog_view'] && function_exists( 'ranna_views' ) ) { ?>
						<li><span class="meta-views meta-item "><?php echo ranna_views(); ?></span></li>
						<?php } if ( RannaTheme::$options['blog_comment_num'] ) { ?>
						<li><i class="fa fa-comment-o" aria-hidden="true"></i><a href="<?php echo get_comments_link( get_the_ID() ); ?>"><?php echo esc_html( $ranna_comments_number );?></a></li>
						<?php } ?>
					</ul>
				</div>
				<?php } ?>
				<a class="blog-post-button" href="<?php the_permalink(); ?>"><span><?php esc_html_e( 'Continue Reading', 'ranna' ); ?></span><?php if ( is_rtl() ) { ?><i class="flaticon-back"></i><?php } else { ?><i class="flaticon-next"></i><?php } ?></a>
				</div>
			</div>
			<?php } ?>
		</div>
	</div>
</div>