<?php
/**
 * @author  RadiusTheme
 * @since   1.0
 * @version 1.0
 */
 
if ( function_exists( 'is_woocommerce' ) && is_woocommerce() ) {
	$ranna_title = woocommerce_page_title( false );
} else if ( is_404() ) {
	$ranna_title = RannaTheme::$options['error_title'];
} else if ( is_search() ) {
	$ranna_title = esc_html__( 'Search Results for : ', 'ranna' ) . get_search_query();
} else if ( is_home() ) {
	if ( get_option( 'page_for_posts' ) ) {
		$ranna_title = get_the_title( get_option( 'page_for_posts' ) );
	}
	else {
		$ranna_title = apply_filters( 'theme_blog_title', esc_html__( 'All Posts', 'ranna' ) );
	}
} else if ( is_archive() ) {
	$ranna_title = get_the_archive_title();
} else if ( is_page() ) {
	$ranna_title = get_the_title();
} else if ( is_single() ) {
	$ranna_title = get_the_title();
}

if ( RannaTheme::$bgtype == 'bgcolor' ) {
	$ranna_bg = RannaTheme::$bgcolor;
} else {
	$ranna_bg = 'url(' . RannaTheme::$bgimg . ') no-repeat scroll center center / cover';
}

if ( !empty( RannaTheme::$options['post_banner_title'] ) ){
	$post_banner_title = RannaTheme::$options['post_banner_title'];
} else {
	$post_banner_title = esc_html__( 'Our News' , 'ranna' );
}

?>
<?php if ( RannaTheme::$has_banner == '1' || RannaTheme::$has_banner == 'on' ): ?>
	<div class="entry-banner" style="background:<?php echo esc_html( $ranna_bg ); ?>">
		<div class="container">
			<div class="entry-banner-content">
			<?php if ( 'ranna_recipe' == get_post_type() ) { ?>
				<h1 class="entry-title"><?php echo wp_kses( $ranna_title , 'alltext_allow' );?></h1>
				<?php } else if ( is_single() ) { ?>
				<h1 class="entry-title"><?php echo wp_kses( $ranna_title , 'alltext_allow'  );?></h1>
				<?php } else if ( is_page() ) { ?>
					<h1 class="entry-title"><?php echo wp_kses( $ranna_title , 'alltext_allow'  );?></h1>
				<?php } else { ?>
					<h1 class="entry-title"><?php echo wp_kses( $ranna_title , 'alltext_allow'  );?></h1>
				<?php } ?>
				<?php if ( RannaTheme::$has_breadcrumb == '1' || RannaTheme::$has_breadcrumb == 'on' ) { ?>
					<?php get_template_part( 'template-parts/content', 'breadcrumb' );?>
				<?php } ?>
			</div>
		</div>
	</div>
<?php endif; ?>