<?php
/**
 * @author  RadiusTheme
 * @since   1.0
 * @version 1.0
 */
$ul_class = $post_classes = '';

$ranna_has_entry_meta  = ( ( !has_post_thumbnail() && RannaTheme::$options['blog_date'] ) || RannaTheme::$options['blog_author_name'] || RannaTheme::$options['blog_comment_num'] || RannaTheme::$options['blog_cats'] ) ? true : false;

$ranna_has_entry_meta2  = ( RannaTheme::$options['blog_author_name'] || RannaTheme::$options['blog_date'] || RannaTheme::$options['blog_cats'] ) ? true : false;

$ranna_time_html       = sprintf( '%s <span>%s</span>,<span> %s</span>',get_the_time( 'M' ), get_the_time( 'd' ), get_the_time( 'Y' ) );
$ranna_time_html       = apply_filters( 'ranna_single_time', $ranna_time_html );
$ranna_time_html_2     = apply_filters( 'ranna_single_time_no_thumb', get_the_time( get_option( 'date_format' ) ) );

$ranna_comments_number = number_format_i18n( get_comments_number() );
$ranna_comments_html = $ranna_comments_number == 1 ? esc_html__( 'Comment' , 'ranna' ) : esc_html__( 'Comments' , 'ranna' );
$ranna_comments_html = '('. $ranna_comments_number . ') ' . $ranna_comments_html;

$thumbnail = false;

$thumb_size = 'ranna-size7';

$id = get_the_ID();

$content = wp_trim_words(get_the_excerpt(), RannaTheme::$options['recipe_content_limit'], '');

$title = wp_trim_words( get_the_title(), RannaTheme::$options['recipe_title_limit'], '' );

$ranna_comments_number = number_format_i18n( get_comments_number() );
$ranna_comments_html = $ranna_comments_number == 1 ? esc_html__( 'Comment' , 'ranna' ) : esc_html__( 'Comments' , 'ranna' );
$ranna_comments_html = '('. $ranna_comments_number . ') ' . $ranna_comments_html;
$formatted_post_date = get_the_date();

$rn_recipe_cook_time = get_post_meta( get_the_ID(), 'rn_recipe_cook_time', true );

$cats = get_the_term_list( get_the_ID(), 'ranna_recipe_category', '<span class="sub-title">', ', </span><span class="sub-title">', '</span>' );
if ( get_page_template_slug( get_the_ID() ) ) {
	$content_recipe_class = 'col-lg-4 col-md-6 col-sm-6 col-xs-12';
} else {
	$content_recipe_class = 'col-lg-6 col-md-6 col-sm-6 col-xs-12';
}
?>
<div class="<?php echo esc_attr( $content_recipe_class ); ?>" >

<div <?php post_class( 'recipe-blog' ); ?> id="post-<?php the_ID(); ?>" >

	<div class="rtin-single-post">
		<div class="rtin-img">
		<a href="<?php the_permalink(); ?>">
			<?php
				if ( has_post_thumbnail() ){ the_post_thumbnail( $thumb_size );	}
				else {
					if ( !empty( RannaTheme::$options['no_preview_image']['id'] ) ) {
						echo wp_get_attachment_image( RannaTheme::$options['no_preview_image']['id'], $thumb_size );
					}
					else {
						echo '<img class="wp-post-image" src="' . RannaTheme_Helper::get_img( 'noimage_530X338.jpg' ) . '" alt="'.get_the_title().'">';
					}
				}
			?>
		</a>
		<?php if ( get_post_format( get_the_ID() ) == 'video' ) { ?>
		<div class="post-video-icon">
			<a href="<?php the_permalink(); ?>" class="video-play"><i class="fa fa-play"></i></a>
		</div>
		<?php } ?>
		</div>
		<div class="item-content rtin-content">
			<?php if ( ( RannaTheme::$options['recipe_show_cat']  == '1' ) && !empty( $cats ) ) { echo wp_kses( $cats , 'alltext_allow'  ); } ?>
			<h3 class="item-title"><a href="<?php the_permalink(); ?> "><?php echo esc_html( $title ); ?></a></h3>
			<?php if ( RannaTheme::$options['recipe_show_rating']  == '1' ) { ?><div><?php ranna_get_comments_rating_avg_star(); ?></div><?php } ?>
			<?php if ( RannaTheme::$options['recipe_show_content']  == '1' ) { ?><p><?php echo wp_kses( $content , 'alltext_allow'  ); ?></p><?php } ?>
			<ul class="entry-meta">
				<?php if ( ( RannaTheme::$options['recipe_show_cooktime']  == '1' ) && !empty( $rn_recipe_cook_time ) ) { ?>
				<li><a href="#"><i class="fa fa-clock-o"></i><?php echo esc_html( $rn_recipe_cook_time ); ?></a></li>
				<?php } if ( RannaTheme::$options['recipe_show_comment']  == '1' ) { ?>
				<li><i class="fa fa-comment-o" aria-hidden="true"></i><a href="<?php echo get_comments_link( get_the_ID() ); ?>"><?php echo esc_html( $ranna_comments_number );?></a></li>
				<?php } if ( RannaTheme::$options['recipe_author_name']  == '1' ) { ?>
				<li><i class="fa fa-user" aria-hidden="true"></i><?php the_author_posts_link(); ?></li>
				<?php } if ( RannaTheme::$options['recipe_date']  == '1' ) { ?>
				<li><i class="fa fa-calendar-o" aria-hidden="true"></i><?php echo wp_kses( $formatted_post_date , 'alltext_allow' ); ?></li>
				<?php } if ( RannaTheme::$options['recipe_like_show']  == '1' ) { ranna_like(); } ?>
			</ul>
			<?php if ( RannaTheme::$options['recipe_readmore']  == '1' ) { ?>
				<a class="item-btn" href="<?php the_permalink(); ?>"><span><?php esc_html_e( 'READ MORE', 'ranna' ); ?></span><?php if ( is_rtl() ) { ?><i class="fa fa-arrow-right" aria-hidden="true"></i><?php } else { ?><i class="fa fa-arrow-right" aria-hidden="true"></i><?php } ?></a>
			<?php } ?>
		</div>
	</div>	
</div>
</div>