<?php
/**
 * @author  RadiusTheme
 * @since   1.0
 * @version 1.0
 */
$ul_class = $post_classes = '';

$ranna_has_entry_meta  = ( ( !has_post_thumbnail() && RannaTheme::$options['blog_date'] ) || RannaTheme::$options['blog_view'] || RannaTheme::$options['blog_length'] || RannaTheme::$options['blog_author_name'] || RannaTheme::$options['blog_comment_num'] || RannaTheme::$options['blog_cats'] ) ? true : false;

$ranna_time_html       = sprintf( '%s <span>%s</span>,<span> %s</span>',get_the_time( 'M' ), get_the_time( 'd' ), get_the_time( 'Y' ) );
$ranna_time_html       = apply_filters( 'ranna_single_time', $ranna_time_html );
$ranna_time_html_2     = apply_filters( 'ranna_single_time_no_thumb', get_the_time( get_option( 'date_format' ) ) );

$ranna_comments_number = number_format_i18n( get_comments_number() );
$ranna_comments_html = $ranna_comments_number < 2 ? esc_html__( 'Comment' , 'ranna' ) : esc_html__( 'Comments' , 'ranna' );
$ranna_comments_html = '('. $ranna_comments_number . ') ' . $ranna_comments_html;

$thumbnail = false;

$thumb_size = 'ranna-size14';

if (  RannaTheme::$layout == 'right-sidebar' || RannaTheme::$layout == 'right-sidebar' ){
	$post_classes = array( 'col-lg-6 col-md-6 col-sm-6 col-12 rt-grid-item blog-layout-1' );
	$ul_class = 'side_bar';
} else {
	$post_classes = array( 'col-lg-4 col-md-4 col-sm-4 col-12 rt-grid-item blog-layout-1' );
	$ul_class = '';
}

$id = get_the_ID();
$content = get_the_content();
$content = wp_trim_words( get_the_excerpt(), RannaTheme::$options['post_content_limit'], '' );	
?>
<div id="post-<?php the_ID(); ?>" <?php post_class( $post_classes ); ?>>
	<div class="blog-box">
		<div class="entry-content">
			<?php if ( $ranna_has_entry_meta ) { ?>
			<ul>
				<?php if ( RannaTheme::$options['blog_author_name'] ) { ?>
				<li><i class="fa fa-user" aria-hidden="true"></i><?php the_author_posts_link(); ?></li>
				<?php } if ( RannaTheme::$options['blog_date'] ) { ?>
				<li><i class="fa fa-calendar-o" aria-hidden="true"></i><?php echo get_the_date(); ?></li>
				<?php } if ( RannaTheme::$options['blog_cats'] ) { ?>			
				<li class="blog-cat"><i class="fa fa-tag" aria-hidden="true"></i><?php echo the_category( ', ' );?></li>
				<?php } if ( RannaTheme::$options['blog_length'] && function_exists( 'ranna_reading_time' ) ) { ?>
				<li class="meta-reading-time meta-item"> <?php echo ranna_reading_time(); ?></li>
				<?php } if ( RannaTheme::$options['blog_view'] && function_exists( 'ranna_views' ) ) { ?>
				<li><span class="meta-views meta-item "><?php echo ranna_views(); ?></span></li>
				<?php } if ( RannaTheme::$options['blog_comment_num'] ) { ?>
				<li><i class="fa fa-comment-o" aria-hidden="true"></i><a href="<?php echo get_comments_link( get_the_ID() ); ?>"><?php echo esc_html( $ranna_comments_number );?></a></li>
				
				<?php } ?>
			</ul>
			<?php } ?>
			<h3><a href="<?php the_permalink();?>"><?php the_title();?></a></h3>
			<div class="blog-text"><p><?php echo wp_kses( $content , 'alltext_allow'  ); ?></p></div>
			<a class="blog-post-button" href="<?php the_permalink(); ?>"><span><?php esc_html_e( 'Continue Reading', 'ranna' ); ?></span><?php if ( is_rtl() ) { ?><i class="flaticon-back"></i><?php } else { ?><i class="flaticon-next"></i><?php } ?></a>
		</div>
	</div>
</div>