<?php
/**
 * @author  RadiusTheme
 * @since   1.0
 * @version 1.0
 */

$ranna_has_entry_meta  = ( ( !has_post_thumbnail() && RannaTheme::$options['post_date'] ) || RannaTheme::$options['post_author_name'] || RannaTheme::$options['post_comment_num'] || RannaTheme::$options['post_cats'] || RannaTheme::$options['post_length'] || RannaTheme::$options['post_view'] ) ? true : false;

$ranna_comments_number = number_format_i18n( get_comments_number() );
$ranna_comments_html = $ranna_comments_number == 1 ? esc_html__( 'Comment' , 'ranna' ) : esc_html__( 'Comments' , 'ranna' );
$ranna_comments_html = $ranna_comments_number .' '. $ranna_comments_html;
$ranna_author_bio      = get_the_author_meta( 'description' );

$subtitle = get_post_meta( get_the_ID(), 'ranna_subtitle', true );
$youtube_link = get_post_meta( get_the_ID(), 'ranna_youtube_link', true );
$author = $post->post_author;

$news_author_fb = get_user_meta( $author, 'ranna_facebook', true );
$news_author_tw = get_user_meta( $author, 'ranna_twitter', true );
$news_author_ld = get_user_meta( $author, 'ranna_linkedin', true );
$news_author_gp = get_user_meta( $author, 'ranna_gplus', true );
$news_author_pr = get_user_meta( $author, 'ranna_pinterest', true );
$ranna_author_designation = get_user_meta( $author, 'ranna_author_designation', true );

// Layout class
if ( RannaTheme::$layout == 'full-width' ) {
	$ranna_layout_class = 'col-sm-12 col-12';
} else {
	$ranna_layout_class = RannaTheme_Helper::has_active_widget();
}
?>	
	<?php	
	$id = get_the_ID();
	
	if ( RannaTheme::$layout == 'left-sidebar' ) { ?>
		<?php get_sidebar(); ?>
	<?php } ?>

	<div id="post-<?php the_ID(); ?>" <?php post_class( $ranna_layout_class); ?> class="<?php echo esc_attr( $ranna_layout_class );?>">
		<?php if ( RannaTheme::$options['post_featured_image'] == true ) { ?>
			<?php if ( has_post_thumbnail() ) { ?>
				<div class="entry-thumbnail-area position-relative">
					<?php the_post_thumbnail( 'full' , ['class' => 'img-fluid'] ); ?>
				</div>
			<?php } ?>
		<?php } ?>
		<div class="detail-content-wrap">
			<div class="detail-content-holder">
				<div class="entry-header">
					<?php if ( $ranna_has_entry_meta ) { ?>
					<div class="entry-meta">
						<ul class="post-light">
							<?php if ( RannaTheme::$options['post_author_name'] ) { ?>
								<li><i class="fa fa-user" aria-hidden="true"></i><?php the_author_posts_link(); ?></li>
							<?php } if ( RannaTheme::$options['post_date'] ) { ?>			
								<li><i class="fa fa-calendar-o" aria-hidden="true"></i><?php echo get_the_date();?></li>
							<?php } if ( RannaTheme::$options['post_cats'] ) { ?>			
								<li class="blog-cat"><i class="fa fa-tag" aria-hidden="true"></i><?php echo the_category( ', ' );?></li>
							<?php } if ( RannaTheme::$options['post_length'] && function_exists( 'ranna_reading_time' ) ) { ?>
								<li class="meta-reading-time meta-item"> <?php echo ranna_reading_time(); ?></li>
							<?php } if ( RannaTheme::$options['post_comment_num'] ) { ?>
								<li><i class="fa fa-comment-o" aria-hidden="true"></i><?php echo esc_html($ranna_comments_html); ?></li>
							<?php } if ( RannaTheme::$options['post_view'] && function_exists( 'ranna_views' ) ) { ?>
								<li><span class="meta-views meta-item "><?php echo ranna_views(); ?></span></li>
							<?php } ?>
						</ul>
						<?php if ( ( RannaTheme::$options['post_share'] ) && ( function_exists( 'ranna_post_share' ) ) ) { ?>
						<div class="post-share"><?php ranna_post_share(); ?></div>
						<?php } ?>
						<div class="clear"></div>
					</div>
					<?php } ?>
				</div>
				<?php if ( !empty( get_the_content() ) ) { ?>
					<div class="entry-content rt-single-content"><?php the_content();?>
						<?php wp_link_pages( array(
							'before'      => '<div class="page-links">' . esc_html__( 'Pages:', 'ranna' ),
							'after'       => '</div>',
							'link_before' => '<span class="page-number">',
							'link_after'  => '</span>',
						) ); ?>
					</div>
				<?php } ?>
			
				<?php if ( ( RannaTheme::$options['post_tags'] && has_tag() ) || RannaTheme::$options['post_share'] ) { ?>
				<div class="entry-footer">
					<div class="entry-footer-meta">
						<?php if ( RannaTheme::$options['post_tags'] && has_tag() ) { ?>
						<div class="item-tags">
							<span><i class="fa fa-bookmark" aria-hidden="true"></i></span><?php echo get_the_term_list( $post->ID, 'post_tag', '', ',', '' ); ?>
						</div>
						<?php } if ( ( RannaTheme::$options['post_share'] ) && ( function_exists( 'ranna_post_share' ) ) ) { ?>
						<div class="post-share"><?php ranna_post_share(); ?></div>
						<?php } ?>
					</div>
				</div>
				<?php } ?>
			</div>
			<!-- author bio -->
			<?php if ( RannaTheme::$options['post_author_bio'] == '1' ) { ?>
				<div class="media about-author">
					<div class="<?php if ( is_rtl() ) { ?> pull-right text-right <?php } else { ?> pull-left <?php } ?>">
						<?php echo get_avatar( $author, 105 ); ?>
					</div>
					<div class="media-body">
						<div class="about-author-info">
							<div class="author-title"><?php the_author_posts_link();?></div>
							<div class="author-designation"><?php if ( !empty ( $ranna_author_designation ) ) {	echo esc_html( $ranna_author_designation ); } else {	$user_info = get_userdata( $author ); echo esc_html ( implode( ', ', $user_info->roles ) );	} ?></div>
						</div>
						<?php if ( $ranna_author_bio ) { ?>
						<div class="author-bio"><?php echo esc_html( $ranna_author_bio );?></div>
						<?php } ?>
						<ul class="author-box-social">
							<?php if ( ! empty( $news_author_fb ) ){ ?><li><a href="<?php echo esc_attr( $news_author_fb ); ?>"><i class="fa fa-facebook" aria-hidden="true"></i></a></li><?php } ?>
							<?php if ( ! empty( $news_author_tw ) ){ ?><li><a href="<?php echo esc_attr( $news_author_tw ); ?>"><i class="fa fa-twitter" aria-hidden="true"></i></a></li><?php } ?>
							<?php if ( ! empty( $news_author_gp ) ){ ?><li><a href="<?php echo esc_attr( $news_author_gp ); ?>"><i class="fa fa-google-plus" aria-hidden="true"></i></a></li><?php } ?>
							<?php if ( ! empty( $news_author_ld ) ){ ?><li><a href="<?php echo esc_attr( $news_author_ld ); ?>"><i class="fa fa-linkedin" aria-hidden="true"></i></a></li><?php } ?>
							<?php if ( ! empty( $news_author_pr ) ){ ?><li><a href="<?php echo esc_attr( $news_author_pr ); ?>"><i class="fa fa-pinterest-p" aria-hidden="true"></i></a></li><?php } ?>
						</ul>
					</div>
					<div class="clear"></div>
				</div>			
			<?php } ?>			
			<!-- next/prev post -->
			<?php if ( RannaTheme::$options['post_links'] == 1 ) { ranna_post_links_next_prev(); } ?>
			<?php if( RannaTheme::$options['show_related_post'] == '1' && is_single() && !empty ( ranna_related_post() ) ) { ?>
			<div class="related-post">
				<?php ranna_related_post(); ?>
			</div>
			<?php } ?>		
			<?php
				if ( comments_open() || get_comments_number() ){
					comments_template();
				}
			?>
		</div>
	</div>
	
	<?php if ( RannaTheme::$layout == 'right-sidebar' ) { ?>
		<?php get_sidebar(); ?>
	<?php } ?>