<?php
/**
 * @author  RadiusTheme
 * @since   1.0
 * @version 1.0
 */

$ranna_has_entry_meta  = ( ( !has_post_thumbnail() && RannaTheme::$options['post_date'] ) || RannaTheme::$options['post_author_name'] || RannaTheme::$options['post_comment_num'] || RannaTheme::$options['post_cats'] ) ? true : false;

$ranna_comments_number = number_format_i18n( get_comments_number() );
$ranna_comments_html = $ranna_comments_number == 1 ? esc_html__( 'Comment' , 'ranna' ) : esc_html__( 'Comments' , 'ranna' );
$ranna_comments_html = $ranna_comments_number .' '. $ranna_comments_html;
$ranna_author_bio      = get_the_author_meta( 'description' );

$subtitle = get_post_meta( get_the_ID(), 'ranna_subtitle', true );
$youtube_link = get_post_meta( get_the_ID(), 'ranna_youtube_link', true );
$author = $post->post_author;

$news_author_fb = get_user_meta( $author, 'ranna_facebook', true );
$news_author_tw = get_user_meta( $author, 'ranna_twitter', true );
$news_author_ld = get_user_meta( $author, 'ranna_linkedin', true );
$news_author_gp = get_user_meta( $author, 'ranna_gplus', true );
$news_author_pr = get_user_meta( $author, 'ranna_pinterest', true );
$ranna_author_designation = get_user_meta( $author, 'ranna_author_designation', true );

$cats = get_the_term_list( $post->ID, 'ranna_recipe_category', '<li class="single-meta"><i class="fa fa-tags" aria-hidden="true"></i><span class="ctg-nam">', ', </span><span class="ctg-name">', '</span></li>' );

$rn_recipe_prep_time = get_post_meta( get_the_ID(), 'rn_recipe_prep_time', true );
$rn_recipe_cook_time = get_post_meta( get_the_ID(), 'rn_recipe_cook_time', true );
$rn_recipe_ready_in = get_post_meta( get_the_ID(), 'rn_recipe_ready_in', true );

$rn_recipe_ingredient_list  = get_post_meta( get_the_ID(), 'rn_recipe_ingredient_list', true );
$rn_recipe_nutritions_list  = get_post_meta( get_the_ID(), 'rn_recipe_nutritions_list', true );
$rn_recipe_serving_people  = get_post_meta( get_the_ID(), 'rn_recipe_serving_people', true );

$rn_recipe_direction_text  = get_post_meta( get_the_ID(), 'rn_recipe_direction_text', true );

$dir_lists  = get_post_meta( get_the_ID(), 'rn_recipe_direction_list', true );

$recipe_gallerys_raw = get_post_meta( get_the_ID(), 'rn_recipe_gallery', true );
?>
	<div id="post-<?php the_ID(); ?>" <?php post_class( 'single-recipe-layout-2' ); ?>>
	<?php
		$recipe_gallerys = explode( "," , $recipe_gallerys_raw );
		if ( !empty( $recipe_gallerys ) ) { 
	?>
		<section class="single-recipe-main-banner">
			<?php
				if ( !empty( $recipe_gallerys ) ) { ?>
				<div class="single-portfolio-slider">
					<div class="portfolio-loading"></div>
					<div class="swiper-container" data-autoplay="false" data-autoplay-timeout="true" data-slides-per-view="1" 
					data-centered-slides="true" data-space-between="0" data-r-x-small="1" data-r-small="1" data-r-medium="1" data-r-large="1" 
					data-r-x-large="2">
						<div class="swiper-wrapper">
						<div class="swiper-slide">
							<?php the_post_thumbnail('ranna-size10'); ?>						
						</div>
						<?php foreach( $recipe_gallerys as $recipe_gallery ) { ?>
						<div class="swiper-slide">
							<?php echo wp_get_attachment_image( $recipe_gallery, 'full', "", array( "class" => "img-responsive" ) ); ?>
							<?php if ( RannaTheme::$options['recipe_caption'] && !empty( wp_get_attachment_caption( $recipe_gallery ) ) ) { ?>
							<div class="caption-holder"><span><?php echo wp_get_attachment_caption( $recipe_gallery ); ?></span></div>
							<?php } ?>
						</div>
						<?php } ?>
						</div>
						<div class="swiper-button">
							<div class="swiper-button-prev"><i class="fa fa-angle-left" aria-hidden="true"></i></div>
							<div class="swiper-button-next"><i class="fa fa-angle-right" aria-hidden="true"></i></div>
						</div>
					</div>
				</div>
			<?php } ?>
		</section>
		<?php } else { ?>
		<?php if ( RannaTheme::$options['recipe_featured_image'] ) { ?>
        <section class="single-recipe-main-banner">
			<?php the_post_thumbnail('ranna-size10'); ?>
        </section>
		<?php } ?>
		<?php } ?>		
        <section class="single-recipe-wrap-layout2">
            <div class="container">
                <div class="single-recipe-layout2">					
					<?php
					if ( RannaTheme::$has_banner == '0' ||  RannaTheme::$has_banner == 'off' ) { ?><h2 class="item-title"><?php the_title(); ?></h2><?php } ?>
                    <div class="d-flex align-items-center justify-content-between flex-wrap mb-3">
                        <ul class="entry-meta">		
						<?php if ( RannaTheme::$options['recipe_single_date'] ) { ?>
							<li class="single-meta"><i class="fa fa-calendar" aria-hidden="true"></i><span><?php echo get_the_date(); ?></span></li>
						<?php } if ( RannaTheme::$options['recipe_author_name'] ) { ?>
							<li class="single-meta"><i class="fa fa-user" aria-hidden="true"></i> <?php echo esc_html( 'by', 'ranna' ) ?> <?php the_author_posts_link(); ?></li>
						<?php } ?>
						<?php if ( RannaTheme::$options['recipe_cats'] && !empty( $cats ) ) { echo wp_kses( $cats , 'alltext_allow'  ); } ?>
						<?php if ( class_exists( 'Ranna_Core' ) ) { ?>
							<li class="single-meta"><?php ranna_get_comments_rating_avg_star(); ?></li>
						<?php } ?><?php ranna_like(); ?>
                        </ul>
                        <ul class="action-item">
							<li><button class="print-share-button" href="#"><i class="fa fa-print"></i></button></li>				
							<li><button data-toggle="modal" data-target="#fsModal"><i class="fa fa-arrows-alt" aria-hidden="true"></i></button></li>
							<?php if ( ( RannaTheme::$options['recipe_share'] ) && ( function_exists( 'ranna_post_share' ) ) ) { ?>
							<li class="action-share-hover"><button><i class="fa fa-share-alt" aria-hidden="true"></i></button>
								<?php ranna_post_share(); ?>
							</li>
							<?php } ?>
                        </ul>
                    </div>
                    <div class="item-feature">
                        <ul>
							<?php if ( !empty( $rn_recipe_prep_time ) ) { ?>
							<li>
								<div class="feature-wrap">
									<div class="media">
										<div class="feature-icon"><i class="fa fa-clock-o"></i></div>
										<div class="media-body space-sm">
											<div class="feature-title"><?php echo esc_html( RannaTheme::$options['recipe_preptime'] ); ?></div>
											<div class="feature-sub-title"><?php if ( ! empty( $rn_recipe_prep_time ) ){ echo esc_html( $rn_recipe_prep_time ); } ?></div>
										</div>
									</div>
								</div>
							</li>
							<?php } if ( !empty( $rn_recipe_cook_time ) ){ ?>
							<li>
								<div class="feature-wrap">
									<div class="media">
										<div class="feature-icon"><i class="fa fa-cutlery" aria-hidden="true"></i></div>
										<div class="media-body space-sm">
											<div class="feature-title"><?php echo esc_html( RannaTheme::$options['recipe_cooktime'] ); ?></div>
											<div class="feature-sub-title"><?php if ( ! empty( $rn_recipe_cook_time ) ){ echo esc_html( $rn_recipe_cook_time ); } ?></div>
										</div>
									</div>
								</div>
							</li>
							<?php } if ( !empty( $rn_recipe_serving_people ) ){ ?>
							<li>
								<div class="feature-wrap">
									<div class="media">
										<div class="feature-icon"><i class="fa fa-users"></i></div>
										<div class="media-body space-sm">
											<div class="feature-title"><?php echo esc_html( 'Serving' , 'ranna'); ?></div>
											<div class="feature-sub-title"><?php echo esc_html( $rn_recipe_serving_people ); echo esc_html( ' People','ranna' ); ?></div>
										</div>
									</div>
								</div>
							</li>
							<?php } if ( RannaTheme::$options['post_view'] && function_exists( 'ranna_views' ) ) { ?>
							<li>
								<div class="feature-wrap">
									<div class="media">
										<div class="feature-icon"><i class="fa fa-eye"></i></div>
										<div class="media-body space-sm">
											<div class="feature-title"><?php echo esc_html( 'Views' , 'ranna'); ?></div>
											<div class="feature-sub-title"><?php echo ranna_views(); ?></div>
										</div>
									</div>
								</div>
							</li>
							<?php } ?>
                        </ul>
                    </div>
                    <div class="item-description"><?php the_content(); ?></div>					
					<?php if ( !empty( $dir_lists ) ) { ?>					
						<div class="direction-wrap-layout2">
							<div class="section-heading heading-dark">
								<h2 class="item-heading"><?php echo esc_html( 'Follow The Directions', 'ranna' ); ?></h2>
							</div>
							<?php if ( ! empty( $rn_recipe_direction_text ) ) { ?>
								<p class="section-paragraph"><?php echo wp_kses( $rn_recipe_direction_text , 'alltext_allow' ); ?></p>
							<?php } ?>
							<?php $i = 1; foreach( $dir_lists as $dir_list ) { ?>
							
							<div class="direction-box-layout2">								
								<div class="item-figure">								
								<div class="serial-number"><div><h4 class="number-title"><?php echo esc_html( $i ); ?></h4><span><?php echo esc_html( 'Step', 'ranna' ); ?></span></div></div>
								<?php if ( !empty( $dir_list['direction_img'] ) ) { ?>
								<?php if ( wp_is_mobile() ) { ?>
								<?php echo wp_get_attachment_image( $dir_list['direction_img'], 'ranna-size7', "", array( "class" => "img-responsive" ) ); ?>
								<?php } else { ?>
								<?php echo wp_get_attachment_image( $dir_list['direction_img'], 'ranna-size5', "", array( "class" => "img-responsive" ) ); ?>
								<?php } ?>
								<?php } ?>
								</div>
								<div class="item-content">
									<p><?php echo do_shortcode ( $dir_list['direction_text'] ); ?></p>
								</div>
							</div>
							
							<?php $i++; } ?>
						</div>
					<?php } ?>				
							
					<?php
					if ( RannaTheme::$options['recipe_tags'] || RannaTheme::$options['recipe_share_bottom'] || has_term() || ( function_exists( 'ranna_post_share' ) ) ) { ?>
					<div class="tag-share">
						<ul>
							<?php if ( RannaTheme::$options['recipe_tags'] ) { ?>
							<li>
								<ul class="inner-tag">
								<?php
								$terms = get_the_terms( get_the_ID(), 'rn_recipe_tag' );
								if ( ! empty( $terms ) && ! is_wp_error( $terms ) ) {
									$count = count( $terms );
									$i = 0;
									$term_list = '';
									foreach ( $terms as $term ) {
										$i++;
										$term_list .= '<li><a href="' . esc_url( get_term_link( $term ) ) . '" alt="' . esc_attr( sprintf( __( 'View all post filed under %s', 'ranna' ), $term->name ) ) . '">' . $term->name . '</a></li>';
										if ( $count != $i ) {
											$term_list .= '';
										}
										else {
											$term_list .= '';
										}
									}
									echo wp_kses ( $term_list , 'alltext_allow' );
								}
								?>
								</ul>
							</li>
							<?php } ?>
							<?php if ( ( RannaTheme::$options['recipe_share_bottom'] ) && ( function_exists( 'ranna_post_share' ) ) ) { ?>
							<li><ul class="inner-share bottom-share"><li class="action-share-hover"><?php ranna_post_share(); ?></li></ul></li>
							<?php } ?>
						</ul>
					</div>
					<?php } ?>
					<!-- author bio -->
					<?php if ( RannaTheme::$options['recipe_author_bio'] == '1' ) { ?>
						<?php if ( !empty ( $ranna_author_bio ) ) { ?>
						<div class="recipe-author">
							<div class="media media-none--xs">
								<div class="<?php if ( is_rtl() ) { ?>pull-right<?php } else { ?>pull-left<?php } ?>"><?php echo get_avatar( $author, 105 ); ?></div>
								<div class="media-body">
									<h4 class="author-title"><?php the_author_posts_link();?></h4>
									<h5 class="author-sub-title"><?php echo esc_html( $ranna_author_designation ); ?></h5>
									<?php if ( $ranna_author_bio ) { ?><div class="author-bio"><?php echo wp_kses( $ranna_author_bio , 'alltext_allow' );?></div><?php } ?>
									<ul class="author-social">
									<?php if ( ! empty( $news_author_fb ) ){ ?><li><a href="<?php echo esc_attr( $news_author_fb ); ?>"><i class="fa fa-facebook" aria-hidden="true"></i></a></li><?php } ?>
									<?php if ( ! empty( $news_author_tw ) ){ ?><li><a href="<?php echo esc_attr( $news_author_tw ); ?>"><i class="fa fa-twitter" aria-hidden="true"></i></a></li><?php } ?>
									<?php if ( ! empty( $news_author_gp ) ){ ?><li><a href="<?php echo esc_attr( $news_author_gp ); ?>"><i class="fa fa-google-plus" aria-hidden="true"></i></a></li><?php } ?>
									<?php if ( ! empty( $news_author_ld ) ){ ?><li><a href="<?php echo esc_attr( $news_author_ld ); ?>"><i class="fa fa-linkedin" aria-hidden="true"></i></a></li><?php } ?>
									<?php if ( ! empty( $news_author_pr ) ){ ?><li><a href="<?php echo esc_attr( $news_author_pr ); ?>"><i class="fa fa-pinterest-p" aria-hidden="true"></i></a></li><?php } ?>
									</ul>
								</div>
							</div>
							<div class="clear"></div>
						</div>
						<?php } ?>
					<?php } ?>			
					
				<?php if ( RannaTheme::$options['post_links'] == 1 ) { ranna_post_links_next_prev_recipe(); } ?>
				
				<?php if( RannaTheme::$options['show_related_recipe'] == '1' && is_single() ) {
					$rn_recipe_other = get_post_meta( get_the_ID(), 'rn_recipe_other', true );
					if( $rn_recipe_other == 'on' || $rn_recipe_other == '1' ){ ?>
					<div class="related-post"><?php ranna_related_recipe(); ?></div>					
				<?php } } ?>
				<?php comments_template('/comments-recipe.php'); ?>
			</div>			
		</div>
	</section>
</div>
	
<!-- modal -->
<div id="fsModal" class="modal animated bounceIn" tabindex="-1" role="dialog" aria-hidden="true">
	<!-- dialog -->
	<div class="modal-dialog">
		<!-- content -->
		<div class="modal-content">		
			<div class="modal-header">
				<h5 class="modal-title"><?php the_title(); ?></h5>
				<button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span>
				</button>
			</div>
			<!-- body -->
			<div class="modal-body">
				<div class="row">
					<div class="col-lg-4">
					<!-- ingredient list -->
					<?php
					$recipe_ingredients = get_post_meta( get_the_ID(), 'rn_recipe_ingredient_list', true );
					if ( !empty( $recipe_ingredients ) ) { ?>
					<div class="ingridients-wrap">
						<h3 class="item-title"><i class="fa fa-list-ul"></i><?php esc_html_e( 'Ingredients', 'ranna' );?></h3>
						<?php
							$i = 1;
							foreach ( $recipe_ingredients as $rec ) { ?>
							<div class="checkbox checkbox-primary">
								<input id="checkbox<?php echo esc_html($i); ?>" type="checkbox">
								<label for="checkbox<?php echo esc_html($i); ?>">
								<?php if ( !empty( $rec['ingredient_quantity'] ) ) { echo esc_html( $rec['ingredient_quantity'] ); } ?>
								<?php if ( !empty( $rec['ingredient_unit'] ) ) { echo esc_html( $rec['ingredient_unit'] ); } ?>
								<?php if ( !empty( $rec['ingredient_item_type'] ) ) { echo esc_html( $rec['ingredient_item_type'] ); } ?>
								<?php if ( !empty( $rec['ingredient_item'] ) ) { echo esc_html( $rec['ingredient_item'] ); } ?>
								</label>
							</div>
						<?php $i++; } ?>
					</div>
					<?php } else { ?>
					<p><?php esc_html_e( 'No recipe Found' , 'ranna'); ?></p>
					<?php } ?>
					</div>
					<?php if ( !empty( $dir_lists[0]->direction_text ) ) { ?>
					<div class="col-lg-8 ">
						<div class="direction-wrap-layout2">
							<div class="section-heading heading-dark">
								<h3 class="item-heading"><?php echo esc_html( 'Follow The Directions', 'ranna' ); ?></h3>
							</div>
							<?php if ( ! empty( $rn_recipe_direction_text ) ) { ?>
								<p class="section-paragraph"><?php echo wp_kses( $rn_recipe_direction_text , 'alltext_allow' ); ?></p>
							<?php } ?>
							<?php $i = 1; foreach( $dir_lists as $dir_list ) { ?>

							<div class="direction-box-layout1">
								<div class="serial-number"><?php echo esc_html( $i ); ?> <?php echo esc_html( 'Step', 'ranna' ); ?></div>
								<div class="item-figure">
								<?php if ( !empty( $dir_list['direction_img'] ) ) { ?>
								<?php echo wp_get_attachment_image( $dir_list['direction_img'], 'full', "", array( "class" => "img-responsive" ) ); ?>
								<?php } else {
									echo '<img class="wp-post-image" src="' . RannaTheme_Helper::get_img( 'noimage_210X210.jpg' ) . '" alt="'.get_the_title().'">';
								} ?>
								</div>
								<div class="item-content">
									<p><?php echo do_shortcode ( $dir_list['direction_text'] ); ?></p>
								</div>
							</div>

							<?php $i++; } ?>
						</div>						
					</div>
					<?php } ?>
				</div>
			</div>
		</div>
	</div>
</div>