<?php
/**
 * @author  RadiusTheme
 * @since   1.0
 * @version 1.0
 */
$already_liked = false;
if ( is_user_logged_in() ) {
	global $post,$current_user;
	$current_user = wp_get_current_user();

	$liked_posts = get_user_meta( $current_user->ID, 'liked_recipe', false );
	
	if ( in_array( get_the_ID(), $liked_posts ) ) {
		$already_liked = true;
	} else {
		$already_liked = false;
	}
		
} else {
	
}

$ranna_has_entry_meta  = ( ( !has_post_thumbnail() && RannaTheme::$options['post_date'] ) || RannaTheme::$options['post_author_name'] || RannaTheme::$options['post_comment_num'] || RannaTheme::$options['post_cats'] ) ? true : false;

$ranna_comments_number = number_format_i18n( get_comments_number() );
$ranna_comments_html = $ranna_comments_number == 1 ? esc_html__( 'Comment' , 'ranna' ) : esc_html__( 'Comments' , 'ranna' );
$ranna_comments_html = $ranna_comments_number .' '. $ranna_comments_html;
$ranna_author_bio      = get_the_author_meta( 'description' );

$subtitle = get_post_meta( get_the_ID(), 'ranna_subtitle', true );
$youtube_link = get_post_meta( get_the_ID(), 'ranna_youtube_link', true );
$author = $post->post_author;

$news_author_fb = get_user_meta( $author, 'ranna_facebook', true );
$news_author_tw = get_user_meta( $author, 'ranna_twitter', true );
$news_author_ld = get_user_meta( $author, 'ranna_linkedin', true );
$news_author_gp = get_user_meta( $author, 'ranna_gplus', true );
$news_author_pr = get_user_meta( $author, 'ranna_pinterest', true );
$ranna_author_designation = get_user_meta( $author, 'ranna_author_designation', true );

$cats = get_the_term_list( $post->ID, 'ranna_recipe_category', '<ul class="recipe-categories"><li class="ctg-name">', ', </li><li class="ctg-name">', '</li></ul>' );

$rn_recipe_prep_time = get_post_meta( get_the_ID(), 'rn_recipe_prep_time', true );
$rn_recipe_cook_time = get_post_meta( get_the_ID(), 'rn_recipe_cook_time', true );
$rn_recipe_ready_in = get_post_meta( get_the_ID(), 'rn_recipe_ready_in', true );

$rn_recipe_show_nutrition = get_post_meta( get_the_ID(), 'rn_recipe_show_nutrition', true );
$rn_recipe_show_ingredient = get_post_meta( get_the_ID(), 'rn_recipe_show_ingredient', true );

if ( ( $rn_recipe_show_nutrition == 'yes' ) && ( $rn_recipe_show_ingredient == 'yes' ) ) {
	$box_column = 'col-md-6 col-12'; 
} else {
	$box_column = 'col-md-12 col-12'; 
}
$rn_recipe_serving_people = get_post_meta( get_the_ID(), 'rn_recipe_serving_people', true );

$rn_recipe_direction_text = get_post_meta( get_the_ID(), 'rn_recipe_direction_text', true );

$dir_lists  = get_post_meta( get_the_ID(), 'rn_recipe_direction_list', true );

$rn_recipe_direction_conclusion = get_post_meta( get_the_ID(), 'rn_recipe_direction_conclusion', true );
?>
	<div id="post-<?php the_ID(); ?>" <?php post_class( 'single-recipe-layout1' ); ?>>
		<?php if ( RannaTheme::$has_banner == '0' || RannaTheme::$has_banner == 'off' ) { ?>
			<?php if ( RannaTheme::$has_breadcrumb == '1' || RannaTheme::$has_breadcrumb == 'on' ) { ?>
				<?php get_template_part( 'template-parts/content', 'breadcrumb' );?>
			<?php } ?>
			<h1 class="item-title"><?php the_title(); ?></h1>
		<?php } ?>		
		<div class="row mb-4">
			<div class="col-xl-9 col-12">
				<ul class="entry-meta">
				<?php if ( RannaTheme::$options['recipe_single_date'] ) { ?>
					<li class="single-meta"><i class="fa fa-calendar" aria-hidden="true"></i><span><?php echo get_the_date(); ?></span></li>
				<?php } if ( RannaTheme::$options['recipe_author_name'] ) { ?>
					<li class="single-meta"><i class="fa fa-user" aria-hidden="true"></i><?php echo esc_html( 'by', 'ranna' ) ?> <?php the_author_posts_link(); ?></li>
				<?php } if ( RannaTheme::$options['recipe_cats'] && !empty( $cats ) ) { ?>
					<li class="single-meta category-meta"><i class="fa fa-tags" aria-hidden="true"></i><?php echo wp_kses( $cats , 'alltext_allow' ); ?></li>
				<?php } ?>
				<?php if ( class_exists( 'Ranna_Core' ) ) { ?>
					<li class="single-meta"><?php ranna_get_comments_rating_avg_star (); ?></li>
				<?php } ?>
				<?php ranna_like(); ?>
				</ul>
			</div>
			<div class="col-xl-3 col-12">
				<ul class="action-item">
					<li><button class="print-share-button" href="#"><i class="fa fa-print"></i></button></li>
					<li><button data-toggle="modal" data-target="#fsModal"><i class="fa fa-arrows-alt" aria-hidden="true"></i></button></li>
					<?php if ( ( RannaTheme::$options['recipe_share'] ) && ( function_exists( 'ranna_post_share' ) ) ) { ?>
					<li class="action-share-hover"><button><i class="fa fa-share-alt" aria-hidden="true"></i></button>
						<?php ranna_post_share(); ?>
					</li>
					<?php } ?>				
				</ul>
			</div>
		</div>
		<div class="item-figure"><?php the_post_thumbnail(); ?></div>
		<div class="item-feature">
			<ul>
				<?php if ( !empty( $rn_recipe_prep_time ) ) { ?>
				<li>
					<div class="feature-wrap">
						<div class="media">
							<div class="feature-icon"><i class="fa fa-clock-o"></i></div>
							<div class="media-body space-sm">
								<div class="feature-title"><?php echo esc_html( RannaTheme::$options['recipe_preptime'] ); ?></div>
								<div class="feature-sub-title"><?php if ( ! empty( $rn_recipe_prep_time ) ){ echo esc_html( $rn_recipe_prep_time ); } ?></div>
							</div>
						</div>
					</div>
				</li>
				<?php } if ( !empty( $rn_recipe_cook_time ) ){ ?>
				<li>
					<div class="feature-wrap">
						<div class="media">
							<div class="feature-icon"><i class="fa fa-cutlery"></i></div>
							<div class="media-body space-sm">
								<div class="feature-title"><?php echo esc_html( RannaTheme::$options['recipe_cooktime'] ); ?></div>
								<div class="feature-sub-title"><?php if ( ! empty( $rn_recipe_cook_time ) ){ echo esc_html( $rn_recipe_cook_time ); } ?></div>
							</div>
						</div>
					</div>
				</li>
				<?php } if ( !empty( $rn_recipe_serving_people ) ){ ?>
				<li>
					<div class="feature-wrap">
						<div class="media">
							<div class="feature-icon"><i class="fa fa-users"></i></div>
							<div class="media-body space-sm">
								<div class="feature-title"><?php echo esc_html( 'Serving' , 'ranna'); ?></div>
								<div class="feature-sub-title"><?php echo esc_html( $rn_recipe_serving_people ); ?><?php echo esc_html( ' People', 'ranna'); ?></div>
							</div>
						</div>
					</div>
				</li>
				<?php } if ( RannaTheme::$options['post_view'] && function_exists( 'ranna_views' ) ) { ?>
				<li>
					<div class="feature-wrap">
						<div class="media">
							<div class="feature-icon"><i class="fa fa-eye"></i></div>
							<div class="media-body space-sm">
								<div class="feature-title"><?php echo esc_html( 'View' , 'ranna'); ?></div>
								<div class="feature-sub-title"><?php echo ranna_views(); ?></div>
							</div>
						</div>
					</div>
				</li>
				<?php } ?>
			</ul>
		</div>
		<div class="item-description"><?php the_content(); ?></div>	
		
		<div class="row">
		<?php		
			$recipe_ingredients = get_post_meta( get_the_ID(), 'rn_recipe_ingredient_list', true );
			if ( ( $rn_recipe_show_ingredient == 'yes' ) ) {
		?>
			
			<div class="<?php echo esc_attr( $box_column ); ?>">
				<div class="ingridients-wrap">
					<h3 class="item-title"><i class="fa fa-list-ul"></i><?php esc_html_e( 'Ingredients', 'ranna' );?></h3>
					<div class="ingredient-list">
					<?php
						$i = 1;
						foreach ( $recipe_ingredients as $rec ) { ?>
						<div class="checkbox checkbox-primary">
							<input id="checkbox<?php echo time().$i; ?>" type="checkbox">
							<label for="checkbox<?php echo time().$i; ?>">
							<?php if ( !empty( $rec['ingredient_quantity'] ) ) { echo esc_html( $rec['ingredient_quantity'] ); } ?>
							<?php if ( !empty( $rec['ingredient_unit'] ) ) { echo esc_html( $rec['ingredient_unit'] ); } ?>
							<?php if ( !empty( $rec['ingredient_item'] ) ) { echo esc_html( $rec['ingredient_item'] ); } ?>
							
							</label>
						</div>
					<?php $i++; } ?>
					</div>
				</div>
			</div>
		
		<?php }
		
		$recipe_nutritions = get_post_meta( get_the_ID(), 'rn_recipe_nutritions_list', true );
		if ( ( $rn_recipe_show_nutrition == 'yes') ) { ?>
		
		<div class="<?php echo esc_attr( $box_column ); ?>">
			<div class="nutrition-wrap">
				<h3 class="item-title"><i class="fa fa-info"></i><?php esc_html_e( 'Nutrition', 'ranna' );?></h3>
				<ul class="nutrition-list">
					<li class="nutrition-value-title"><span><?php echo esc_html( 'Daily Value*', 'ranna' ); ?></span></li>
					<?php foreach ( $recipe_nutritions as $rec ) { ?>
					<li>
						<?php if ( !empty( $rec['nutritions_item'] ) ) { ?><div class="nutrition-name"><?php echo esc_html( $rec['nutritions_item'] ); ?></div><?php } ?>
						<?php if ( !empty( $rec['nutritions_item_percentage'] ) ) { ?><div class="nutrition-value"><?php echo esc_html( $rec['nutritions_item_percentage'] ); ?></div><?php } ?>
					</li>
					<?php } ?>
				</ul>
			</div>
		</div>
		
		<?php } ?>
		</div>
		
		<?php
		if ( !empty( $dir_lists ) ) { ?>
			<div class="direction-wrap-layout1">
				<div class="section-heading heading-dark">
					<h2 class="item-heading"><?php echo esc_html( 'Directions', 'ranna' ); ?></h2>
				</div>
				<?php if ( ! empty( $rn_recipe_direction_text ) ) { ?>
				<p class="section-paragraph"><?php echo wp_kses( $rn_recipe_direction_text , 'alltext_allow' ); ?></p>
				<?php } ?>
				<?php
					$i = 1;
					foreach( $dir_lists as $dir_list ) {
				?>
				<div class="row">
					<div class="<?php if( RannaTheme::$layout == 'full-width' ) { ?>col-lg-1<?php } else { ?>col-lg-2<?php } ?>">
						<div class="serial-number"><?php echo esc_html( $i ); ?> <?php echo esc_html( 'Step', 'ranna' ); ?></div>
						<div class="verticle-line"></div>
					</div>
					<div class="<?php if( RannaTheme::$layout == 'full-width' ) { ?>col-lg-11<?php } else { ?>col-lg-10<?php } ?>">
						<div class="direction-box-layout1">
							<div class="item-figure">
							<?php
								if ( !empty( $dir_list['direction_img'] ) ) {
									echo wp_get_attachment_image( $dir_list['direction_img'], 'ranna-size1', "", array( "class" => "img-responsive" ) );
								}
							?>
							</div>
							<div class="item-content"><p><?php echo do_shortcode ( $dir_list['direction_text'] ); ?></p></div>
						</div>
					</div>
				</div>
				<?php $i++; } ?>
				<?php if ( ! empty( $rn_recipe_direction_conclusion ) ) { ?>
				<h4 class="conclusion-title"><?php echo esc_html( 'Conclusion', 'ranna' ); ?></h4>
				<p class="section-paragraph"><?php echo wp_kses( $rn_recipe_direction_conclusion , 'alltext_allow' ); ?></p>
				<?php } ?>				
			</div>
		<?php } ?>		
		<?php
		if ( RannaTheme::$options['recipe_tags'] || RannaTheme::$options['recipe_share_bottom'] || has_term() || ( function_exists( 'ranna_post_share' ) ) ) { ?>
		<div class="tag-share">
			<ul>
				<?php if ( RannaTheme::$options['recipe_tags'] ) { ?>
				<li>
					<ul class="inner-tag">
					<?php					
					$terms = get_the_terms( get_the_ID(), 'rn_recipe_tag' );
					
					if ( ! empty( $terms ) && ! is_wp_error( $terms ) ) {
						$count = count( $terms );
						$i = 0;
						$term_list = '';
						foreach ( $terms as $term ) {
							$i++;
							$term_list .= '<li><a href="' . esc_url( get_term_link( $term ) ) . '" alt="' . esc_attr( sprintf( __( 'View all post filed under %s', 'ranna' ), $term->name ) ) . '">' . $term->name . '</a></li>';
							if ( $count != $i ) {
								$term_list .= '';
							}
							else {
								$term_list .= '';
							}
						}
						echo wp_kses ( $term_list , 'alltext_allow' );
					}
					?>
					</ul>
				</li>
				<?php } ?>
				<?php if ( ( RannaTheme::$options['recipe_share_bottom'] ) && ( function_exists( 'ranna_post_share' ) ) ) { ?>
				<li><ul class="inner-share bottom-share"><li class="action-share-hover"><?php ranna_post_share(); ?></li></ul></li>
				<?php } ?>
			</ul>
		</div>
		<?php } ?>
		<!-- author bio -->
		<?php if ( RannaTheme::$options['recipe_author_bio'] == '1' ) { ?>
			<?php if ( !empty ( $ranna_author_bio ) ) { ?>
			<div class="recipe-author">
				<div class="media media-none--xs">
					<div class="<?php if ( is_rtl() ) { ?>pull-right<?php } else { ?>pull-left<?php } ?>"><?php echo get_avatar( $author, 105 ); ?></div>
					<div class="media-body">
						<h4 class="author-title"><?php the_author_posts_link();?></h4>
						<h5 class="author-sub-title"><?php echo esc_html( $ranna_author_designation ); ?></h5>
						<p><?php if ( $ranna_author_bio ) { ?><?php echo wp_kses( $ranna_author_bio , 'alltext_allow' ); ?><?php } ?></p>
						<ul class="author-social">
						<?php if ( ! empty( $news_author_fb ) ){ ?><li><a href="<?php echo esc_attr( $news_author_fb ); ?>"><i class="fa fa-facebook" aria-hidden="true"></i></a></li><?php } ?>
						<?php if ( ! empty( $news_author_tw ) ){ ?><li><a href="<?php echo esc_attr( $news_author_tw ); ?>"><i class="fa fa-twitter" aria-hidden="true"></i></a></li><?php } ?>
						<?php if ( ! empty( $news_author_gp ) ){ ?><li><a href="<?php echo esc_attr( $news_author_gp ); ?>"><i class="fa fa-google-plus" aria-hidden="true"></i></a></li><?php } ?>
						<?php if ( ! empty( $news_author_ld ) ){ ?><li><a href="<?php echo esc_attr( $news_author_ld ); ?>"><i class="fa fa-linkedin" aria-hidden="true"></i></a></li><?php } ?>
						<?php if ( ! empty( $news_author_pr ) ){ ?><li><a href="<?php echo esc_attr( $news_author_pr ); ?>"><i class="fa fa-pinterest-p" aria-hidden="true"></i></a></li><?php } ?>
						</ul>
					</div>
				</div>
				<div class="clear"></div>
			</div>
			<?php } ?>
		<?php } ?>
		
		<?php if( RannaTheme::$options['show_related_recipe'] == '1' && is_single() ) {
			$rn_recipe_other = get_post_meta( get_the_ID(), 'rn_recipe_other', true );
			if( $rn_recipe_other == 'on' || $rn_recipe_other == '1' ){ ?>
			<div class="related-post">
				<?php ranna_related_recipe(); ?>
			</div>
		<?php }
		 } ?>
		
	</div>
	<?php comments_template('/comments-recipe.php'); ?>
	<?php /* For full screen recipe */ ?>	
	<!-- modal -->
	<div id="fsModal" class="modal animated bounceIn" tabindex="-1" role="dialog" aria-hidden="true">
		<!-- dialog -->
		<div class="modal-dialog">
			<!-- content -->
			<div class="modal-content">		
				<div class="modal-header">
					<h5 class="modal-title"><?php the_title(); ?></h5>
					<button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span>
					</button>
				</div>
				<!-- body -->
				<div class="modal-body">
					<div class="row">
						<div class="col-lg-4">
						<!-- ingredient list -->
						<?php
						$recipe_ingredients = get_post_meta( get_the_ID(), 'rn_recipe_ingredient_list', true );
						if ( !empty( $recipe_ingredients ) ) { ?>
						<div class="ingridients-wrap">
							<h3 class="item-title"><i class="fa fa-list-ul"></i><?php esc_html_e( 'Ingredients', 'ranna' );?></h3>
							<?php
								$i = 1;
								foreach ( $recipe_ingredients as $rec ) { ?>
								<div class="checkbox checkbox-primary">
									<input id="checkbox<?php echo esc_html($i); ?>" type="checkbox">
									<label for="checkbox<?php echo esc_html($i); ?>">
									<?php if ( !empty( $rec['ingredient_quantity'] ) ) { echo esc_html( $rec['ingredient_quantity'] ); } ?>
									<?php if ( !empty( $rec['ingredient_unit'] ) ) { echo esc_html( $rec['ingredient_unit'] ); } ?>
									<?php if ( !empty( $rec['ingredient_item_type'] ) ) { echo esc_html( $rec['ingredient_item_type'] ); } ?>
									<?php if ( !empty( $rec['ingredient_item'] ) ) { echo esc_html( $rec['ingredient_item'] ); } ?>
									</label>
								</div>
							<?php $i++; } ?>
						</div>
						<?php } else { ?>
						<p><?php esc_html_e( 'No recipe Found' , 'ranna'); ?></p>
						<?php } ?>
						</div>
						<div class="col-lg-8 ">
							<?php if ( !empty( $dir_lists ) ) { ?>

							<div class="direction-wrap-layout2">
								<div class="section-heading heading-dark">
									<h3 class="item-heading"><?php echo esc_html( 'Follow The Directions', 'ranna' ); ?></h3>
								</div>
								<?php if ( ! empty( $rn_recipe_direction_text ) ) { ?>
									<p class="section-paragraph"><?php echo wp_kses( $rn_recipe_direction_text , 'alltext_allow' ); ?></p>
								<?php } ?>
								<?php $i = 1; foreach( $dir_lists as $dir_list ) { ?>

								<div class="direction-box-layout1">
									<div class="serial-number"><?php echo esc_html( $i ); ?> <?php echo esc_html( 'Step', 'ranna' ); ?></div>
									<div class="item-figure">
									<?php if ( !empty( $dir_list['direction_img'] ) ) { ?>
									<?php echo wp_get_attachment_image( $dir_list['direction_img'], 'full', "", array( "class" => "img-responsive" ) ); ?>
									<?php } else {
										echo '<img class="wp-post-image" src="' . RannaTheme_Helper::get_img( 'noimage_210X210.jpg' ) . '" alt="'.get_the_title().'">';
									} ?>
									</div>
									<div class="item-content">
										<p><?php echo do_shortcode ( $dir_list['direction_text'] ); ?></p>
									</div>
								</div>

								<?php $i++; } ?>
							</div>
							
							<?php } ?>
						</div>
					</div>
				</div>
			<!-- body -->
			</div>
		</div>
	</div>