<?php
/**
 * @author  RadiusTheme
 * @since   1.0
 * @version 1.0
 */

$ranna_socials = RannaTheme_Helper::socials();
$nav_menu_args   = RannaTheme_Helper::nav_menu_args();

// Logo
$ranna_dark_logo = empty( RannaTheme::$options['logo']['url'] ) ? RANNA_IMG_URL . 'logo-dark.png' : RannaTheme::$options['logo']['url'];
$ranna_light_logo = empty( RannaTheme::$options['logo_light']['url'] ) ? RANNA_IMG_URL . 'logo-light.png' : RannaTheme::$options['logo_light']['url'];

// Menu and Icon wrapper classes
$ranna_icon_count = 0;
if ( RannaTheme::$options['search_icon'] ) {
	$ranna_icon_count++;
}
if ( RannaTheme::$options['cart_icon'] && class_exists( 'WooCommerce' ) ) {
	$ranna_icon_count++;
}
?>
<div class="masthead-container header-controll" id="sticker">
	<div class="container">
		<div class="d-flex justify-content-between align-item-center">
			<div>
				<div class="site-branding">
					<a class="dark-logo" href="<?php echo esc_url( home_url( '/' ) );?>"><img src="<?php echo esc_url( $ranna_dark_logo );?>" alt="<?php esc_attr( bloginfo( 'name' ) ) ;?>"></a>
					<a class="light-logo" href="<?php echo esc_url( home_url( '/' ) );?>"><img src="<?php echo esc_url( $ranna_light_logo );?>" alt="<?php esc_attr( bloginfo( 'name' ) ) ;?>"></a>
				</div>
			</div>
			<div>
				<div id="site-navigation" class="main-navigation">
					<?php wp_nav_menu( $nav_menu_args );?>
				</div>
			</div>
			<div class="submit-button-holder">
				<?php if ( $ranna_icon_count ) { ?>
					<?php get_template_part( 'template-parts/header/icon', 'area' );?>
				<?php } ?>
			</div>
		</div>
	</div>
</div>
<div class="rt-sticky-menu-wrapper rt-sticky-menu">
	<div class="container">
		<div class="d-flex justify-content-between align-item-center">
			<div>
				<div class="site-branding">
					<a class="dark-logo" href="<?php echo esc_url( home_url( '/' ) );?>"><img src="<?php echo esc_url( $ranna_dark_logo );?>" alt="<?php esc_attr( bloginfo( 'name' ) ) ;?>"></a>
					<a class="light-logo" href="<?php echo esc_url( home_url( '/' ) );?>"><img src="<?php echo esc_url( $ranna_light_logo );?>" alt="<?php esc_attr( bloginfo( 'name' ) ) ;?>"></a>
				</div>
			</div>
			<div>
				<div class="main-navigation">
					<?php wp_nav_menu( $nav_menu_args );?>
				</div>
			</div>
			<div class="submit-button-holder">
				<?php if ( $ranna_icon_count ) { ?>
					<?php get_template_part( 'template-parts/header/icon', 'area' );?>
				<?php } ?>
			</div>
		</div>
	</div>
</div>