<?php
/**
 * @author  RadiusTheme
 * @since   1.0
 * @version 1.0
 */

$ranna_socials = RannaTheme_Helper::socials();
$nav_menu_args   = RannaTheme_Helper::nav_menu_args();

// Logo
$ranna_dark_logo = empty( RannaTheme::$options['logo']['url'] ) ? RANNA_IMG_URL . 'logo-dark.png' : RannaTheme::$options['logo']['url'];
$ranna_light_logo = empty( RannaTheme::$options['logo_light']['url'] ) ? RANNA_IMG_URL . 'logo-light.png' : RannaTheme::$options['logo_light']['url'];

// Menu and Icon wrapper classes
$ranna_icon_count = 0;
if ( RannaTheme::$options['search_icon'] ) {
	$ranna_icon_count++;
}
if ( RannaTheme::$options['cart_icon'] && class_exists( 'WooCommerce' ) ) {
	$ranna_icon_count++;
}
?>
<div class="masthead-container" id="sticker">
	<div class="row">
		<div class="col-lg-3 d-flex justify-content-start">
			<div class="site-branding">
				<a class="dark-logo" href="<?php echo esc_url( home_url( '/' ) );?>"><img src="<?php echo esc_url( $ranna_dark_logo );?>" alt="<?php esc_attr( bloginfo( 'name' ) ) ;?>"></a>
				<a class="light-logo" href="<?php echo esc_url( home_url( '/' ) );?>"><img src="<?php echo esc_url( $ranna_light_logo );?>" alt="<?php esc_attr( bloginfo( 'name' ) ) ;?>"></a>
			</div>
		</div>
		<div class="col-lg-6 d-flex justify-content-center">
			<?php if ( $ranna_socials ) { ?>
			<ul class="header-social">
				<?php foreach ( $ranna_socials as $ranna_social ): ?>
					<li><a target="_blank" href="<?php echo esc_url( $ranna_social['url'] );?>"><i class="fa <?php echo esc_attr( $ranna_social['icon'] );?>"></i></a></li>
				<?php endforeach; ?>
			</ul>
			<?php } ?>
			<div id="site-navigation" class="main-navigation d-block d-sm-none">
				<?php wp_nav_menu( $nav_menu_args );?>
			</div>
		</div>
		<div class="col-lg-3 d-flex justify-content-end">
			<?php if ( $ranna_icon_count ) { ?>
				<?php get_template_part( 'template-parts/header/icon', 'area' );?>
			<?php } ?>
		</div>
	</div>
</div>
<div class="rt-sticky-menu-wrapper rt-sticky-menu">
	<div class="sticky-container">
		<div class="row">
			<div class="col-lg-4 col-md-4">
				<div class="site-branding">
					<a class="dark-logo" href="<?php echo esc_url( home_url( '/' ) );?>"><img src="<?php echo esc_url( $ranna_dark_logo );?>" alt="<?php esc_attr( bloginfo( 'name' ) ) ;?>"></a>
					<a class="light-logo" href="<?php echo esc_url( home_url( '/' ) );?>"><img src="<?php echo esc_url( $ranna_light_logo );?>" alt="<?php esc_attr( bloginfo( 'name' ) ) ;?>"></a>
				</div>
			</div>
			<div class="col-lg-8 d-flex justify-content-end">
				<div class="main-navigation">
					<?php wp_nav_menu( $nav_menu_args ); ?>
				</div>
			</div>
		</div>
	</div>
</div>