<?php
/**
 * @author  RadiusTheme
 * @since   1.0
 * @version 1.0
 */

$ranna_socials = RannaTheme_Helper::socials();
?>
<div id="tophead" class="header-top-bar align-items-center">
	<div class="container">
		<div class="row">		
			<div class="col-sm-12 topbar-items">			
				<div class="tophead-contact">					
					<?php if ( $ranna_socials ): ?>
						<ul class="tophead-social">
							<?php foreach ( $ranna_socials as $ranna_social ): ?>
								<li><a target="_blank" href="<?php echo esc_url( $ranna_social['url'] );?>"><i class="fa <?php echo esc_attr( $ranna_social['icon'] );?>"></i></a></li>
							<?php endforeach; ?>
						</ul>
					<?php endif; ?>
				</div>				
				<div class="tophead-right">
				<?php if ( class_exists( 'Ranna_Core' ) ) { ?>
					<div class="nav-action-elements-layout">
						<ul>
							<?php if ( class_exists( 'Ranna_Core' ) && RannaTheme::$options['show_login'] ) { ?>
							<li>
								<?php if ( is_user_logged_in() ) { ?>
								<a href="<?php echo wp_logout_url('index.php'); ?>" class="btn login-btn"><?php echo esc_html( 'Log Out', 'ranna' ); ?></a>
								<?php } else { ?>
								<a href="<?php echo site_url(); ?>/login-page" class="login-btn"><?php echo esc_html( 'Login', 'ranna' ); ?></a>	
								<?php } ?>
							</li>
							<?php } ?>
							<?php if ( class_exists( 'Ranna_Core' ) && RannaTheme::$options['show_recipe_account'] ) { ?>
							<li>
								<a href="<?php echo site_url(); ?>/recipe-account" class="btn login-btn"><?php echo esc_html( 'My Recipe', 'ranna' ); ?></a>
							</li>
							<?php } ?>
							<?php if ( class_exists( 'Ranna_Core' ) && RannaTheme::$options['show_submit'] ) { ?>
							<li><a href="<?php echo site_url(); ?>/submit-recipe" class="fill-btn"><?php echo esc_html('Submit Recipe','ranna'); ?></a></li>
							<?php } ?>
						</ul>
					</div>
				<?php } ?>				
				</div>
			</div>
		</div>
	</div>
</div>