<?php
/**
 * Template Name: Recipe Archive 1
 * 
 * @author  RadiusTheme
 * @since   1.0
 * @version 1.0
 */
// Layout class
if ( RannaTheme::$layout == 'full-width' ) {
	$ranna_layout_class = 'col-sm-12 col-12';
}
else{
	$ranna_layout_class = RannaTheme_Helper::has_active_widget();
}
$args = array(
	'post_type' => "ranna_recipe",
);
if ( get_query_var('paged') ) {
	$args['paged'] = get_query_var('paged');
}
elseif ( get_query_var('page') ) {
	$args['paged'] = get_query_var('page');
}
else {
	$args['paged'] = 1;
}

$query = new WP_Query( $args );

global $wp_query;
$wp_query = NULL;
$wp_query = $query;

?>
<?php get_header(); ?>
<div id="primary" class="content-area">
	<div class="container">
		<div class="row gutters-60">
			<?php
			if ( RannaTheme::$layout == 'left-sidebar' ) {
				get_sidebar();
			}
			?>
			<div class="<?php echo esc_attr( $ranna_layout_class ); ?>">
				<main id="main" class="site-main">
					<div class="product-box-layout1 post-grid-default post-grid-style1">
						<div class="row">
							<?php
								if ( have_posts() ) {
									while ( have_posts() ) : the_post();									
										get_template_part( 'template-parts/content-recipe', get_post_format() );
									endwhile;
									RannaTheme_Helper::pagination();
								} else { 
									get_template_part( 'template-parts/content', 'none' );
								}
							?>
						</div>
					</div>
				</main>
			</div>
			<?php
			if ( RannaTheme::$layout == 'right-sidebar' ) {
				get_sidebar();
			}
			?>
		</div>
	</div>
</div>
<?php get_footer(); ?>